(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    116783,       2909]
NotebookOptionsPosition[    113573,       2807]
NotebookOutlinePosition[    114119,       2826]
CellTagsIndexPosition[    114076,       2823]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Sviluppi di Fourier di alcune forme d'onda", "Title",
 CellChangeTimes->{{3.4499278304178257`*^9, 3.4499278406826253`*^9}, {
  3.4501081597783237`*^9, 3.450108160261924*^9}, {3.4501842715983334`*^9, 
  3.4501842748119335`*^9}, {3.450195609569931*^9, 3.450195612705531*^9}}],

Cell[TextData[{
 StyleBox["Lorenzo Roi",
  FontSlant->"Italic"],
 " (7 gennaio 2011)"
}], "Text",
 CellChangeTimes->{{3.450195485643531*^9, 3.450195495861531*^9}, {
  3.5034008388609343`*^9, 3.5034008505319347`*^9}},
 TextAlignment->Right,
 FontSize->10],

Cell[TextData[{
 "Presentiamo in questa pagina gli sviluppi di Fourier delle principali forme \
d\[CloseCurlyQuote]onda (a ",
 StyleBox["dente di sega",
  FontSlant->"Italic"],
 ", ",
 StyleBox["triangolare",
  FontSlant->"Italic"],
 ", ",
 StyleBox["quadra",
  FontSlant->"Italic"],
 ") assieme alle rappresentazioni grafiche dell\[CloseCurlyQuote]ampiezza \
delle prime armoniche in relazione alla frequenza fondamentale e quindi come \
la loro sovrapposizione tenda ad approssimare la forma \
d\[CloseCurlyQuote]onda originaria."
}], "Text",
 CellChangeTimes->{{3.5034660987889347`*^9, 3.503466117883334*^9}}],

Cell[CellGroupData[{

Cell["Onda a dente di sega", "Section",
 CellChangeTimes->{{3.4500983473194*^9, 3.450098352483*^9}}],

Cell["\<\
La funzione d'onda a dente di sega \[EGrave] definita come\
\>", "Text",
 CellChangeTimes->{{3.450098433525*^9, 3.450098443275*^9}, {
  3.4501834767783337`*^9, 3.4501834825815334`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"y", 
    RowBox[{"(", "t", ")"}]}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      FractionBox["a", "T"], "t"}], "     ", "-", 
     FractionBox["T", "2"]}], "\[LessEqual]", "t", "<", 
    FractionBox["T", "2"]}]}], ",", " ", 
  RowBox[{"(", 
   RowBox[{"a", "=", 
    RowBox[{"costante", " ", "assegnata"}]}], ")"}], ","}]], "DisplayFormula",
 CellChangeTimes->{{3.4500984549126*^9, 3.4500984889518003`*^9}, 
   3.4501834873707333`*^9, 3.503385823524334*^9, 3.503385991402334*^9, {
   3.5033874325203342`*^9, 3.503387476109334*^9}}],

Cell[TextData[{
 "\[EGrave] periodica con periodo ",
 Cell[BoxData[
  FormBox["T", TraditionalForm]]],
 " e il suo sviluppo di Fourier \[EGrave] dato dalla serie"
}], "Text",
 CellChangeTimes->{{3.4500984993882*^9, 3.4500985158462*^9}, {
  3.4501824575367336`*^9, 3.4501824899379334`*^9}, {3.4501834910367336`*^9, 
  3.450183491442333*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"y", 
   RowBox[{"(", "t", ")"}]}], "=", 
  RowBox[{
   UnderoverscriptBox[
    RowBox[{"a", "\[Sum]"}], 
    RowBox[{"i", "=", "1"}], "\[Infinity]"], 
   RowBox[{
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"i", "+", "1"}]], 
     RowBox[{"i", " ", "\[Pi]"}]], "sin", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"2", "\[Pi]", " ", "i"}], "T"], "t"}], 
     ")"}]}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.450098534535*^9, 3.4500986050626*^9}, {
   3.4501110362945237`*^9, 3.4501110805673237`*^9}, {3.4501828017507334`*^9, 
   3.4501828129515333`*^9}, 3.503385830491334*^9, {3.503386008218334*^9, 
   3.5033860097373343`*^9}, {3.5033861271393337`*^9, 3.503386130978334*^9}}],

Cell[TextData[{
 "Il suo grafico (",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " e ",
 Cell[BoxData[
  FormBox[
   RowBox[{"T", "=", "1"}], TraditionalForm]]],
 ") risulta "
}], "Text",
 CellChangeTimes->{{3.4501824998595333`*^9, 3.4501825051479335`*^9}, {
  3.4501836255087337`*^9, 3.4501836367095337`*^9}, {3.503386346457334*^9, 
  3.503386351498334*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"SawtoothWave", "[", 
     RowBox[{"t", "-", ".5"}], "]"}], "-", ".5"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Black"}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "2.5"}], ",", "2.5", ",", "1"}], "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", ".5"}], ",", ".5", ",", ".25"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Onda a dente di sega\>\"", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}], 
     "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", ".6"}], ",", ".6"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4501100808559237`*^9, 3.4501101255811234`*^9}, {
   3.503382482190734*^9, 3.503382482705534*^9}, 3.503382559005134*^9, {
   3.503382663868334*^9, 3.503382733147934*^9}, {3.503382799962734*^9, 
   3.503382907524734*^9}, {3.5034002919069347`*^9, 3.5034002953949347`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAAfedN8v//A8DoO2+S///fv+Z7FvXb
/APAMN+zqN/m379OEN/3t/kDwHCC+L6/zd+/IDlw/W/zA8AAyYHrf5vfv8KK
kgjg5gPAEFaURAA3378ILtcewM0DwEBwufYAbt6/lHRgS4CbA8CgpANbAtzc
v6sBc6QANwPAWA2YIwW42b8FZUcyGV0CwCgoO5LJ6NK/E9jFbKKRAcAwgV3M
JhrJv1LDmmMpygDAQGpYcyxFub977z1skOP/vwCEEMKTb3w/uHeaaq9P/r+A
hFhWCQW7P06SVSD+mfy/kG1T/Q4wyz9Hnb1OSOz6v+CKCcXeTtQ/8I3c/ATm
+r9AyI0M7GfUP5p++6rB3/q/mAUSVPmA1D/sXzkHO9P6v1CAGuMTs9Q/kiK1
vy26+r+4dSsBSRfVP96nrDATiPq/iGBNPbPf1T92spsS3iP6vyg2kbWHcNc/
IKO6wJod+r+AcxX9lInXP8mT2W5XF/q/4LCZRKKi1z8cdRfL0Ar6v5ArotO8
1Nc/wjeTg8Px+b/4ILPx8TjYPw69ivSov/m/yAvVLVwB2T+mx3nWc1v5v2jh
GKYwkto/mTJ2Q6lU+b+gNSfyWq3aP4ydcrDeTfm/0Ik1PoXI2j9yc2uKSUD5
vzgyUtbZ/to/PR9dPh8l+b8Qg4sGg2vbP9R2QKbK7vi/sCT+ZtVE3D/H4TwT
AOj4v+B4DLP/X9w/ukw5gDXh+L8YzRr/KXvcP6AiMlqg0/i/gHU3l36x3D9r
ziMOdrj4v1DGcMcnHt0/AiYHdiGC+L/4Z+MnevfdP/WQA+NWe/i/MLzxc6QS
3j/o+/9PjHT4v2AQAMDOLd4/ztH4Kfdm+L/IuBxYI2TeP5l96t3MS/i/oAlW
iMzQ3j+M6OZKAkX4v9BdZNT2694/flPjtzc++L8IsnIgIQffP2Qp3JGiMPi/
cFqPuHU93z9XlNj+1yn4v6CunQSgWN8/Sv/Uaw0j+L/YAqxQynPfPzDVzUV4
Ffi/QKvI6B6q3z8jQMqyrQ74v3D/1jRJxd8/FqvGH+MH+L+oU+WAc+DfP7I+
NNaHBvi/OAUvp+Dl3z9O/7P0
      "]], LineBox[CompressedData["
1:eJwBcQOO/CFib1JlAgAAADYAAAACAAAATsHLKXj59784BS+n4OXfv+/ru2aD
8/e/vK/vmg3O37/iVrjTuOz3v4hb4U7jst+/xyyxrSPf978cs8S2jnzfv7qX
rRpZ2Pe/6F62amRh37+sAqqHjtH3v7AKqB46Rt+/ktiiYfnD979IYouG5Q/f
v16ElBXPqPe/eBFSVjyj3r/OP/YHeKL3vzj/2B/gid6/P/tX+iCc97/87F/p
g3DevyByG99yj/e/gMhtfMs93r/iX6KoFnb3v4h/iaJa2N2/ZjuwO15D97+Y
7cDueA3dv27yy2Ht3fa/uMkvh7V3279+YAOuCxP2v/iBDbguTNi/AC0fv0OF
9L8AtHz8DhXSv9qLmYer1fK/0F7MPFytxr8cCmip9ELxv8ChgJZKL7S/azUq
Bdsc77+AUrlan2ScP2M33qjDw+u/cCKHXPHwwD8qeDr/bqTov1gfFgNEbs0/
od1TxHlB5b/ARFh3DH3VPzLkMvrUNOW/nDeaC1aW1T/E6hEwMCjlv3gq3J+f
r9U/5vfPm+YO5b80EGDIMuLVPyoSTHNT3OS/rNtnGVlH1j+yRkQiLXfkv5xy
d7ulEdc/xK80gOCs4794oJb/PqbYP1W2E7Y7oOO/WJPYk4i/2D/mvPLrlpPj
vzSGGijS2Ng/CMqwV01647/wa55QZQvZP03kLC+6R+O/aDemoYtw2T/WGCXe
k+Liv1TOtUPYOto/54EVPEcY4r8w/NSHcc/bPwp9r++TCuK/7AWhINjq2z8u
eEmj4Pzhv6QPbbk+Btw/dm59Cnrh4b8UIwXrCz3cPwZb5disquG/9Ek1Tqaq
3D8kNLV1Ej3hv7iXlRTbhd0/SC9PKV8v4b9woWGtQaHdP2wq6dyrIeG/KKst
Rqi83T+0IB1ERQbhv5i+xXd1890/Qw2FEnjP4L945fXaD2HeP2YIH8bEweC/
NO/Bc3Z83j+KA7l5EbTgv+z4jQzdl94/0vns4KqY4L9cDCY+qs7eP2LmVK/d
YeC/PDNWoUQ83z+G4e5iKlTgv/Q8IjqrV98/qtyIFndG4L+sRu7SEXPfP87X
IsrDOOC/ZFC6a3iO3z/y0rx9ECvgvxxahgTfqd8/Fs5WMV0d4L/UY1KdRcXf
PzrJ8OSpD+C/jG0eNqzg3z9jfWisDw3gvzgFL6fg5d8/eIThrQ==
      "]], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwBmIQbcmqv/zB0/v7LaC0V2ntf/mzCHpi9sa0nRvv758A
pRUiJE3fVCFoe8OXFwN57+93gNJt6rKWrz/eg9PnZAMXtFxD0HFcO/O2z0fQ
NY87uGWNEPSuqRquL8LuwmmO6OfJjDYIOkxhWZOUIoL+tEr5gM/rO3Ba84Cc
9cb6O/s1oPSMVyKGVStuw+lSe0ZZnl8395dAaYOXN7/oz70Gp1123eb8G3YB
ThesXP9DUPgwnA5LU154qWbl/gAoffzMzS7j4BX2B6C0le7BTQHTD9tbQGmm
MtE7KZIX4DQ7T0Bj0rtr9hxQOkI96oAZ53U4vcop5T+XCoL2q6yo3RyJoKc9
W1DJchRBqx38WLhs9g047Vo2OemVxy17Fyg9beLchfuSEfSLNcsfTKpD0D2P
d8dZb0HQVwKeRPXI34bTKdqmwXrfEHTzg2vORYvv2rdA6Xs7vXMr9iBoq8kH
ptVdRdAfXFe97GK/B6fjVtf2L85G0LtaPu1Y2YKgRePSH62fe89eBEqfEQg0
3XMeQVuVqdy+YnwfTk/zn8ly2wdBf9Tg03uYet/+A5Recft7w9vpCJpla86q
zxsQdHzfw8s/T963T4DSu9LD/v5/hKCtIfnC3gZKAwB2urkl
      "]], LineBox[CompressedData["
1:eJwBkQNu/CFib1JlAgAAADgAAAACAAAAZH1orA8N4D84BS+n4OXfv+Z52jwJ
F+A/NAxLhu3R37+U5pRRjCPgP9gy1lznuN+/QlNPZg8w4D98WWEz4Z/fv/C/
CXuSPOA/IIDsCduG37+eLMSPFUngP8Smd+DUbd+/+QU5uRti4D8O9I2NyDvf
v6Zy882ebuA/tBoZZMIi379U363iIXvgP1hBpDq8Cd+/sLgiDCiU4D+gjrrn
r9fev2ZrDF80xuA/NCnnQZdz3r/U0N8ETSrhP1heQPZlq92/sJuGUH7y4T+g
yPJeAxvcv8sThucPAOI/atjzMOD/27/mi4V+oQ3iPzTo9AK95Nu/HHyErMQo
4j/IB/emdq7bv4hcgggLX+I/8Eb77ulB279gHX7Al8viP0DFA3/QaNq/EJ91
MLGk4z/gwRSfnbbYv2+iZBDkVuU/Irs23zdS1b9eapodh4HoP4hWlonj+c2/
iVF2OTOc6z/cuSYaM4/BvwQUleZ/+u4/wL+ulgFYoL/Xy4XwhA/xP3C9XAhP
+LA/VXtiNprD8j+o2hOz0RzGP2wL6yLOWvQ/sC2sizhr0T8fq8aWBur1P3ys
GlsaqNc/VJ+4ucrw9T9QfeLmKsPXP4qTqtyO9/U/KE6qcjve1z/0e44iFwX2
P9DvOYpcFNg/ykxWricg9j8oM1m5noDYP3bu5cVIVvY/2LmXFyNZ2T/NMQX1
isL2PzTHFNQrCts/Aib3F0/J9j8ImNxfPCXbPzga6ToT0PY/4Gik60xA2z+i
As2Am932P4gKNANudts/eNOUDKz49j/gTVMysOLbPyR1JCTNLvc/kNSRkDS7
3D9aaRZHkTX3P2ilWRxF1tw/j10IalU89z88diGoVfHcP/pF7K/dSfc/6Bex
v3Yn3T/QFrQ77mT3P0Bb0O64k90/e7hDUw+b9z/s4Q5NPWzePzJc0PBfofc/
yHBBw3+F3j/q/1yOsKf3P6j/cznCnt4/Wkd2yVG09z9oHdklR9HePxLrAmei
uvc/SKwLnInq3j/Kjo8E88D3Pyg7PhLMA98/OtaoP5TN9z/oWKP+UDbfP/J5
Nd3k0/c/yOfVdJNP3z+qHcJ6Ndr3P6h2COvVaN8/YsFOGIbg9z+IBTthGILf
Pxll27XW5vc/ZJRt11qb3z/QCGhTJ+33P0AjoE2dtN8/iKz08Hfz9z8gstLD
383fP0/Byyl4+fc/PAUvp+Dl3z8hu9vC
      "]], LineBox[CompressedData["
1:eJwBAQP+/CFib1JlAgAAAC8AAAACAAAAsz401ocG+D80BS+n4OXfv2g7J2e6
DPg/YBJjYxbN37/YgkCiWxn4P6D0/XaRmt+/txFzGJ4y+D8kuTOehzXfv3Yv
2AQjZfg/KEKf7HNr3r8u02Sic2v4P0izbHYxUt6/5nbxP8Rx+D9oJDoA7zje
v1W+Cntlfvg/rAbVE2oG3r80TT3xp5f4PzDLCjtgod2/82qi3SzK+D80VHaJ
TNfcv3CmbLY2L/k/QGZNJiVD27/ezxuVDjb5P4jAkKvFJ9u/TfnKc+Y8+T/M
GtQwZgzbvypMKTGWSvk/WM9aO6fV2r/k8eWr9WX5P3A4aFApaNq/Vz1fobSc
+T+kCoN6LY3Zvz7UUYwyCvo/CK+4zjXX178MAjdiLuX6P9D3I3dGa9S/RW1U
lSqT/D/YlVxVq2bLvxi5HW9FJP4/gG4kDqm7vb+ScoiRMNf/PwC3xju3Z4S/
UoZPLZ22AEBAyvCppdO2PypbhFWkfQFAoLJFWEXaxz/W5gmik1UCQLA2TxCd
rNI/zmLlQRIfA0BwFisPkvjYP+EEp/iVIgNACCc4xa8U2T/0pmivGSYDQKA3
RXvNMNk/GevrHCEtA0DIWF/nCGnZP2Rz8vcvOwNAIJuTv3/Z2T/6g/+tTVcD
QNAf/G9tuto/JqUZGomPA0AwKc3QSHzcPzlH29AMkwNAyDnahmaY3D9M6ZyH
kJYDQGBK5zyEtNw/cS0g9ZedA0CIawGpv+zcP7y1JtCmqwNA4K01gTZd3T9S
xjOGxMcDQJAynjEkPt4/ZWj1PEjLA0AoQ6vnQVreP3gKt/PLzgNAwFO4nV92
3j+dTjph09UDQOh00gmbrt4/6NZAPOLjA0BAtwbiER/fP/p4AvNl5wNA0McT
mC873z8NG8Sp6eoDQGjYIE5NV98/Ml9HF/HxA0CQ+Tq6iI/fP0UBCc509QNA
KApIcKar3z9Yo8qE+PgDQMAaVSbEx98/akWMO3z8A0BQK2Lc4ePfP33nTfL/
/wNA6Dtvkv//3z/h/m8q
      "]]}, {}}, {{}, {}, {}}},
  Axes->True,
  AxesOrigin->{0, 0},
  GridLines->{{-2.5, -1.5, -0.5, 0.5, 1.5, 2.5}, {-0.5, -0.25, 0., 0.25, 0.5}},
  ImageSize->{463.99999999999875`, Automatic},
  PlotLabel->FormBox[
    StyleBox["\"Onda a dente di sega\"", FontFamily -> "Helvetica", 
     RGBColor[0, 0, 1], StripOnInput -> False], TraditionalForm],
  PlotRange->{{-2.4999998979591838`, 2.4999998979591838`}, {-0.6, 0.6}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{{3.450110096221924*^9, 3.450110125986724*^9}, 
   3.503382490489934*^9, 3.5033825595199337`*^9, {3.5033826730255337`*^9, 
   3.503382692073134*^9}, 3.503382817809134*^9, {3.503382858119534*^9, 
   3.503382908367134*^9}, 3.5034002975899343`*^9, 3.5034007456769342`*^9, 
   3.503421987273758*^9}]
}, Open  ]],

Cell["mentre le prime cinque armoniche sono", "Text",
 CellChangeTimes->{{3.4501825108731337`*^9, 3.4501825293747334`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", 
        RowBox[{"(", 
         RowBox[{"i", "+", "1"}], ")"}]}], "/", 
       RowBox[{"(", 
        RowBox[{"\[Pi]", " ", "i"}], ")"}]}], " ", 
      RowBox[{"Sin", "[", 
       RowBox[{"2", " ", "\[Pi]", " ", "i", " ", "t"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5"}], "}"}], ",", "1", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4499243901332254`*^9, 3.4499245219220257`*^9}, {
   3.4499246351156254`*^9, 3.4499246541788254`*^9}, {3.4499247126788254`*^9, 
   3.4499247727076254`*^9}, 3.4499248532660255`*^9, 3.449924896384425*^9, {
   3.4500986154522*^9, 3.4500986156862*^9}, {3.503387310960334*^9, 
   3.5033873438553343`*^9}, {3.5034003020489345`*^9, 3.5034003023449345`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 5}, 1, 20, 1}}, Typeset`size$$ = {
    652., {15.3, 23.259999999999998`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$23272$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$23272$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Table[((-1)^($CellContext`i + 1)/(Pi $CellContext`i)) 
        Sin[((2 Pi) $CellContext`i) $CellContext`t], {$CellContext`i, 
         1, $CellContext`n$$}], 
      "Specifications" :> {{{$CellContext`n$$, 5}, 1, 20, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{722., {85., 92.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5034074787279344`*^9, 3.503421987351758*^9}]
}, Open  ]],

Cell["\<\
Supposta l'ampiezza dell'armonica fondamentale pari ad 1 cos\[IGrave] come la \
sua frequenza, l'ampiezza delle successive armoniche in funzione della \
frequenza \[EGrave] rappresentata dall\[CloseCurlyQuote]istogramma \
\>", "Text",
 CellChangeTimes->{{3.4501825452243333`*^9, 3.4501825698879337`*^9}, {
  3.450182641070733*^9, 3.4501826795871334`*^9}, {3.450183147493533*^9, 
  3.4501832126235332`*^9}, {3.503387746939334*^9, 3.503387750163334*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BarChart", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"i", "+", "1"}], ")"}]}], "/", 
      RowBox[{"(", " ", "i", ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "10"}], "}"}]}], "]"}], ",", 
   RowBox[{"ChartLabels", "\[Rule]", 
    RowBox[{"Table", "[", 
     RowBox[{"i", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "10"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"BarSpacing", "\[Rule]", "Large"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<frequenza (Hz)\>\"", ",", "\"\<ampiezza\>\""}], "}"}]}], 
   ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", ".5"}], ",", "1", ",", ".25"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Ampiezza relativa delle armoniche\>\"", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}], 
     "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4501827723915334`*^9, 3.4501827953079333`*^9}, {
   3.450182827412733*^9, 3.4501828387071333`*^9}, 3.4501829442567334`*^9, {
   3.450183099835533*^9, 3.4501831071675334`*^9}, {3.4501832156343336`*^9, 
   3.4501832442291336`*^9}, {3.503386924623334*^9, 3.503386933064334*^9}, {
   3.503387521559334*^9, 3.503387523509334*^9}, {3.5033946711675344`*^9, 
   3.5033947258455343`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], PointBox[{{0.33333333333333337`, 0.}}]}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{0.6666666666666666, 0.}, {1.3333333333333335`, 1.}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{45.95816326530611, 
           73.87448979591835}, {-104.64806635817692`, 60.1138101801626}}],
         StatusArea[#, 1]& ,
         TagBoxNote->"1"],
        StyleBox["1", {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[1, {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{1.6666666666666667`, 0.}, {
            2.3333333333333335`, -0.5}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{85.58265306122446, 113.4989795918367}, {
           58.6138101801626, 141.74474844933238`}}],
         StatusArea[#, 
          Rational[-1, 2]]& ,
         TagBoxNote->"-1/2"],
        StyleBox[
         RowBox[{"-", 
           FractionBox["1", "2"]}], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[-1, 2], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{2.666666666666667, 0.}, {3.333333333333334, 
            0.3333333333333333}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{125.20714285714281`, 153.12346938775505`}, {
           4.1931846673827735`, 60.11381018016261}}],
         StatusArea[#, 
          Rational[1, 3]]& ,
         TagBoxNote->"1/3"],
        StyleBox[
         FractionBox["1", "3"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 3], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{3.6666666666666674`, 0.}, {4.333333333333334, -0.25},
             "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{164.83163265306118`, 192.7479591836734}, {
           58.61381018016261, 100.92927931474749`}}],
         StatusArea[#, 
          Rational[-1, 4]]& ,
         TagBoxNote->"-1/4"],
        StyleBox[
         RowBox[{"-", 
           FractionBox["1", "4"]}], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[-1, 4], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{4.666666666666667, 0.}, {5.333333333333334, 0.2}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{204.45612244897953`, 232.37244897959175`}, {
           25.961434872494706`, 60.11381018016261}}],
         StatusArea[#, 
          Rational[1, 5]]& ,
         TagBoxNote->"1/5"],
        StyleBox[
         FractionBox["1", "5"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 5], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{5.666666666666667, 0.}, {
            6.333333333333334, -0.16666666666666666`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{244.08061224489788`, 271.9969387755101}, {
           58.61381018016261, 87.32412293655253}}],
         StatusArea[#, 
          Rational[-1, 6]]& ,
         TagBoxNote->"-1/6"],
        StyleBox[
         RowBox[{"-", 
           FractionBox["1", "6"]}], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[-1, 6], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{6.666666666666667, 0.}, {7.333333333333334, 
            0.14285714285714285`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{283.70510204081626`, 311.6214285714285}, {
           35.29068496039982, 60.11381018016261}}],
         StatusArea[#, 
          Rational[1, 7]]& ,
         TagBoxNote->"1/7"],
        StyleBox[
         FractionBox["1", "7"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 7], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{7.666666666666667, 0.}, {8.333333333333334, -0.125}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{323.3295918367346, 351.24591836734686`}, {
           58.61381018016261, 80.52154474745505}}],
         StatusArea[#, 
          Rational[-1, 8]]& ,
         TagBoxNote->"-1/8"],
        StyleBox[
         RowBox[{"-", 
           FractionBox["1", "8"]}], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[-1, 8], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{8.666666666666668, 0.}, {9.333333333333334, 
            0.1111111111111111}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{362.95408163265296`, 390.8704081632652}, {
           40.473601675902664`, 60.11381018016261}}],
         StatusArea[#, 
          Rational[1, 9]]& ,
         TagBoxNote->"1/9"],
        StyleBox[
         FractionBox["1", "9"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 9], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{9.666666666666668, 0.}, {10.333333333333334`, -0.1}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{402.5785714285713, 430.49489795918356`}, {
           58.61381018016261, 76.43999783399656}}],
         StatusArea[#, 
          Rational[-1, 10]]& ,
         TagBoxNote->"-1/10"],
        StyleBox[
         RowBox[{"-", 
           FractionBox["1", "10"]}], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[-1, 10], {
          GrayLevel[0]}], 
        "Tooltip"]& ]}}, {}, {}}, {}, {{{{{{{}, {}}, {}}, {{{}, {}}, {}}, \
{{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, \
{}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}}, {}}, {}}, {}}, 
   GraphicsGroupBox[
    {GrayLevel[0], 
     StyleBox[
      GraphicsGroupBox[{
        LineBox[{{{0.6666666666666666, 0.}, 
           Offset[{0, -4}, {0.6666666666666666, 0.}]}, {{10.333333333333334`, 
           0.}, Offset[{0, -4}, {10.333333333333334`, 0.}]}}], InsetBox[
         PaneBox["1"], Offset[{0, -2}, {1., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["2"], Offset[{0, -2}, {2., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["3"], Offset[{0, -2}, {3.0000000000000004`, 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["4"], Offset[{0, -2}, {4.000000000000001, 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["5"], Offset[{0, -2}, {5., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["6"], Offset[{0, -2}, {6., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["7"], Offset[{0, -2}, {7., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["8"], Offset[{0, -2}, {8., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["9"], Offset[{0, -2}, {9., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["10"], Offset[{0, -2}, {10., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]]}],
      Antialiasing->False]}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"frequenza (Hz)\"", TraditionalForm], 
    FormBox["\"ampiezza\"", TraditionalForm]},
  AxesOrigin->{0.33333333333333337`, 0},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, {-0.5, -0.25, 0., 0.25, 0.5, 0.75, 1.}},
  PlotLabel->FormBox[
    StyleBox[
    "\"Ampiezza relativa delle armoniche\"", FontFamily -> "Helvetica", 
     RGBColor[0, 0, 1], StripOnInput -> False], TraditionalForm],
  PlotRangePadding->Scaled[0.02],
  Ticks->{None, Automatic}]], "Output",
 CellChangeTimes->{
  3.4501828399239335`*^9, 3.4501829451303334`*^9, 3.4501831078695335`*^9, 
   3.4501832459139338`*^9, 3.503386934691334*^9, 3.5033875255213337`*^9, {
   3.5033946775479345`*^9, 3.5033947268595343`*^9}, 3.5034007461409345`*^9, 
   3.503421987944558*^9}]
}, Open  ]],

Cell["\<\
mentre la rappresentazione grafica che si ottiene al variare del numero di \
armoniche secondarie (per un massimo di 20) che la approssimano nella somma \
\[EGrave] data dal grafico seguente.\
\>", "Text",
 CellChangeTimes->{{3.4501832684871335`*^9, 3.450183329327133*^9}, {
  3.4501833595287333`*^9, 3.4501833620559335`*^9}, {3.4501834261875334`*^9, 
  3.450183435048333*^9}, {3.5033877614663343`*^9, 3.503387778464334*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SawtoothWave", "[", 
         RowBox[{"t", "-", ".5"}], "]"}], "-", ".5"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Black"}], "}"}]}], ",", 
       RowBox[{"Exclusions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".5"}], ",", ".5"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[GreaterEqual]", "1"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"-", "1"}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"i", "+", "1"}], ")"}]}], "/", 
               RowBox[{"(", 
                RowBox[{"\[Pi]", " ", "i"}], ")"}]}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Pi]", " ", "i", " ", "t"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", 
               RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"Hue", "[", 
               RowBox[{"1", "-", 
                RowBox[{"i", "/", "20"}]}], "]"}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ",", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Plus", "@@", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"-", "1"}], ")"}], "^", 
                 RowBox[{"(", 
                  RowBox[{"i", "+", "1"}], ")"}]}], "/", 
                RowBox[{"(", 
                 RowBox[{"\[Pi]", " ", "i"}], ")"}]}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Pi]", " ", "i", " ", "t"}], "]"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Thick", ",", "Red"}], "}"}]}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", ".6"}], ",", ".6"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Somma di armoniche\>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}],
        "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.449924707780425*^9, {3.4499249325764256`*^9, 3.4499252589284253`*^9}, {
   3.4499253234032254`*^9, 3.4499253312188253`*^9}, {3.4499253767084255`*^9, 
   3.4499254193744254`*^9}, {3.449925450605625*^9, 3.4499254525556254`*^9}, {
   3.4499254899956255`*^9, 3.4499255158292255`*^9}, {3.4499257685502253`*^9, 
   3.4499258516670256`*^9}, {3.4499259950778255`*^9, 
   3.4499259979794254`*^9}, {3.449926201403425*^9, 3.449926205256625*^9}, {
   3.4499277361158257`*^9, 3.4499277707478256`*^9}, {3.4499278703070254`*^9, 
   3.4499278705254254`*^9}, {3.4500958929402*^9, 3.4500959201466*^9}, {
   3.4500971805018*^9, 3.4500971845578003`*^9}, {3.4500973232106*^9, 
   3.450097327407*^9}, {3.4500974212098*^9, 3.4500974588058*^9}, {
   3.450097518663*^9, 3.450097609533*^9}, {3.4500976926966*^9, 
   3.4500977777478*^9}, {3.450097828869*^9, 3.4500978300546*^9}, {
   3.4500978644058*^9, 3.4500979346837997`*^9}, {3.4500980437122*^9, 
   3.4500980568473997`*^9}, {3.4501001895546*^9, 3.4501003290654*^9}, {
   3.4501005843431997`*^9, 3.4501005920808*^9}, {3.4501833891063337`*^9, 
   3.4501833950187335`*^9}, {3.503387031130334*^9, 3.503387046931334*^9}, {
   3.503387083879334*^9, 3.503387104319334*^9}, {3.503387135350334*^9, 
   3.503387145590334*^9}, {3.503387178149334*^9, 3.5033871786533337`*^9}, {
   3.503387232467334*^9, 3.503387237762334*^9}, {3.503400314987934*^9, 
   3.5034003332109346`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 20, 1}}, Typeset`size$$ = {
    540., {173., 183.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$23348$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$23348$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
        SawtoothWave[$CellContext`t - 0.5] - 0.5, {$CellContext`t, -1.5, 1.5},
          PlotStyle -> {Thick, Black}, Exclusions -> {-0.5, 0.5}], 
        If[$CellContext`n$$ >= 1, {
          Table[
           
           Plot[((-1)^($CellContext`i + 1)/(Pi $CellContext`i)) 
            Sin[((2 Pi) $CellContext`i) $CellContext`t], {$CellContext`t, -1, 
             1}, PlotRange -> All, PlotStyle -> 
            Hue[1 - $CellContext`i/20]], {$CellContext`i, 
            1, $CellContext`n$$}], 
          Plot[
           Apply[Plus, 
            
            Table[((-1)^($CellContext`i + 1)/(Pi $CellContext`i)) 
             Sin[((2 Pi) $CellContext`i) $CellContext`t], {$CellContext`i, 
              1, $CellContext`n$$}]], {$CellContext`t, -1, 1}, 
           PlotStyle -> {Thick, Red}]}, {}], 
        PlotRange -> {{-1, 1}, {-0.6, 0.6}}, PlotLabel -> 
        Style["Somma di armoniche", FontFamily -> "Helvetica", Blue]], 
      "Specifications" :> {{$CellContext`n$$, 0, 20, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{610., {243., 250.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5034075249819345`*^9, 3.503421988006958*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Onda triangolare", "Section",
 CellChangeTimes->{{3.4500983473194*^9, 3.450098352483*^9}, {
  3.4500986565582*^9, 3.4500986582118*^9}}],

Cell["\<\
La funzione per un'onda triangolare \[EGrave] definita come\
\>", "Text",
 CellChangeTimes->{{3.450098433525*^9, 3.450098443275*^9}, {
  3.4501834608351336`*^9, 3.4501834670127335`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"y", 
    RowBox[{"(", "t", ")"}]}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"a", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{
         FractionBox["4", "T"], "t"}]}], ")"}]}], "     ", "-", 
     FractionBox["T", "2"]}], "\[LessEqual]", "t", "<", "0"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", 
   RowBox[{"(", "t", ")"}]}], "=", 
  RowBox[{
   RowBox[{"a", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{
       FractionBox["4", "T"], "t"}]}], ")"}], "        ", "0"}], 
   "\[LessEqual]", "t", "<", 
   RowBox[{
    FractionBox["T", "2"], "    ", 
    RowBox[{"(", 
     RowBox[{"a", "=", 
      RowBox[{"costante", " ", "assegnata"}]}], 
     ")"}]}]}]}]}], "DisplayFormula",
 CellChangeTimes->{{3.4500984549126*^9, 3.4500984889518003`*^9}, {
  3.4501072454623237`*^9, 3.4501072613431234`*^9}, {3.4501073049919233`*^9, 
  3.4501073363479233`*^9}, {3.450107370231124*^9, 3.450107405877124*^9}, {
  3.503399124803934*^9, 3.503399184079934*^9}, {3.5034002145339346`*^9, 
  3.5034002197729344`*^9}}],

Cell[TextData[{
 "\[EGrave] periodica con periodo ",
 Cell[BoxData[
  FormBox["T", TraditionalForm]]],
 " e lo sviluppo di Fourier \[EGrave]"
}], "Text",
 CellChangeTimes->{{3.4500984993882*^9, 3.4500985158462*^9}, {
  3.450183552344733*^9, 3.4501835631867332`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"y", 
   RowBox[{"(", "t", ")"}]}], "=", 
  RowBox[{
   UnderoverscriptBox[
    RowBox[{"a", "\[Sum]"}], 
    RowBox[{"i", "=", "0"}], "\[Infinity]"], 
   RowBox[{
    FractionBox["8", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "i"}], "+", "1"}], ")"}], "2"], " ", 
      SuperscriptBox["\[Pi]", "2"]}]], "cos", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"2", "\[Pi]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "i"}], "+", "1"}], ")"}]}], "T"], "t"}], 
     ")"}]}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.450098534535*^9, 3.4500986050626*^9}, {
   3.450107423629924*^9, 3.4501074793999233`*^9}, {3.4501110917525234`*^9, 
   3.4501111059953237`*^9}, {3.4501835689587336`*^9, 3.4501835793015337`*^9}, 
   3.5033991937509346`*^9}],

Cell[TextData[{
 "Il suo grafico (",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " e ",
 Cell[BoxData[
  FormBox[
   RowBox[{"T", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 Cell[BoxData[
  FormBox[Cell[""], TraditionalForm]]],
 ") \[EGrave]"
}], "Text",
 CellChangeTimes->{{3.4501836040119333`*^9, 3.450183608723133*^9}, {
  3.4501836476451335`*^9, 3.4501836529491334`*^9}, {3.5033992039709344`*^9, 
  3.5033992749569345`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"TriangleWave", "[", 
    RowBox[{"t", "+", ".25"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Black"}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "2.5"}], ",", "2.5", ",", ".5"}], "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1", ",", ".5"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Onda triangolare\>\"", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}], 
     "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4501101545971236`*^9, 3.4501101562663236`*^9}, {
  3.5033993318539343`*^9, 3.503399419348934*^9}, {3.503400341775934*^9, 
  3.5034003445039344`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {GrayLevel[0], Thickness[Large], LineBox[CompressedData["
1:eJw1mXlYzF/0x6cmIZUlUhFtIolE+ao4U5QiIgmJtEqFtImUkCRZElFEC9op
a4XOtAiV9n2dmpqaZvnMtE6h+c3veX6/v+794z7nnnuee17v932uqvM5Gzdx
EolULUYi/e8YMrh3RCgkU4+e6tMQCglkBMuPd/wlUx2KTh3A3wTuW9Az+XmK
TG2S4IdceUqgylaff+dGydSxGHKL0IDAkqgHc2gMMlUle80t0lkuzlnfsoL6
m0wNo/lyxDrZ+ND/5J6wp2SqqeXsTxL5TMwS83tJ2kKmZijp7pLyoeMst116
isfFqWYmbTFW5j9QrvW7d0qMGPXon1vVro8rwaY0wUWrgkQdrDhYfvo4HTQa
+7t/lJOoP7+9W3gtlg4T/evt3UtJ1LTchccTftEhXrJ0f+pXEtU3rma0Qr8f
aJasbcpvSVRJ5z2q62QH4EytkcLChySq7pTpZW4RA7b33oh9e59E1WAn/5Ac
Z8CCkRrZfXdIVIkektxK7UH4IOc663YEifq9rCjD+vEgTNtFj0hcJFHd7hu2
5J4bgsiuzirBcRL1+mo9PT+VYbDnalo8tidRnZViQm7bDcM6oU+p/mESdYcM
72dq9DDUqMwq9N1PoiqO5jg2CoZB3lUnjW1KoqYWad3Rr2PBkP8FtdtAol7N
i2zdO5sNBTeKE7WMSdQLLwfV3bexwSHt0EN3fRLVJOpVYVwGG1KHQ67SVpOo
TYdUhyavcsD/z4+/oRokapFF2KYF+Rwwl14UpKwqim/UE7qGy4Fhnddn7ZVE
+akmLjlqz4Wv23lMgTyJCov/njx/nwt3rA3dHsuRqIazj2XfKueC7vnqY43S
JOpsjsKOQj0CxK8ptPjOJVHbey7crfcgoPGBs81CSRL1bX1z2/BzAl6nZv9+
K06ivv6uv4rcRADXgxPzbEaI3ru87vWPERATdTWybVKInrbSO6uKCNicveSK
PF+IyU45gveRBAQT27zv04XYFEw4XV9OwDOnLUOULiG2S38xmT0syrdB15Xf
LMS2xAjV25+5MPNZ3cGmQoh8VO59YMOFa2FzrRbnCXG+hNXJlEgORC1s0n4S
KsS90eknisdYkLDJm/VCUYi/njkdE1YNQf6FBM+31jP49VuDbXBIH+x7cEhl
Jv4vfrF8J1UGpbAr8ds+C/Y03tPWXBxsVIe8O51/JRjTKKa6RS/3RR0mhP7J
LO6ZRkd5i/0D5HpkO26dbdQwjaZintHWVfX4QO0j6hROI605R0LjeCN2p2Xr
ykVO4/Jr+uNVoS0Y+O7pom71acxo3dm8oqQLVVILqQnK0zi7+tDYQc1u/BXb
dvbw0mm8WOq+6FZUNy4PWFpZKzWNFm8i943a9GDJltjrpfwpHDVxp9PP01D2
W9RYOk5hzNLMY/niffj6x8Vmv2NT+Ltko5WTxgDG6wXuyLCdwi1e+/o/2g9g
dKJvbvfeKUyS87osFTOAvn5eUZaUKfR1fZn9/t8Ablt5fPvKVVO4QnKpjGQL
AxsDKa8ruAJ0t/z7O/PWEP7oNZYjDQmwhq/gLsQhLLTaGqbfK0CdBP2ZgxND
mKSmZ5/UIMCZ4bPr/zkz0ataXTYwX4A50b13rY2HUVxzdqDqNQGO1pRbj3FZ
OH6fTLcLFuCJIPqgxSo2Dv0RWkf7C7BchRSWeIyN1XUCrUl3AT45vzXX/Ccb
40OGu6r2CHC7XPaC+GQORg8xdoubCfDll5/pnBYOhh6kf96yXYCyrgMUU1ku
ump1xqToCpD2YcV51iUuHn7YOtOiJUDL40ZzKXlc3C1s9JJRF2D2rCPJDwe5
qNv02yxoiQDD7WLqttkSqE6peJcjK0D+TM7pB1EEymeVr6TPFuDptAqxQSqB
c+VLoxXERPWxHow3miTwbxhO7Z2exH+z//4+V08gwfrifn10En0ce/SXPSOw
zy6/IZ89ibM+lySWuxH4Y11ejnrPJOq73zqjPMXFwsc5SkdbJ7H2m3fTzxIu
Zotn3rxbN4nHl+zf5h/NxQetKU5TpZN4v0xepnIlF0+EP1xSkz6JHLWX2UHm
HKyGidlBKaL9ZvKAKsdB+HN4WuXZJArasH52LxtVfJf1+N6bROH9DkFcMBv7
HFPS5QMncYFwkdnHXBa6G+UandgxibodV7v4SsN4dqTSidM1gWdjHWW9CAaG
niS/mSc3gTzyMp/jT2hI0lmJO26MofDFAP1COhXbb8ffzGoaQWfTUxG7XtVD
w3eV7JM1I1iXMrptfG4DVAnTapf8GkEKOWw85WwDFPl9Ugz7OoJryp64zmxp
hJRjDVm2qSNIN6sw/VjRBJ7aMrX/fEZE909HqMZrhT8VYQr7pUfw4P7RCzOG
PTAmMWfbLMkRLMm9siH7RQ9wt99zKhTy8eGciNF14jSgvUvM1Bjlo/jpRVnt
7jQoSyg0nmrjI01LW8lAtxeiPcdOpqTxMTnLQcAu6YPlUh4ZY6Z8VHuLH+yH
BuBEUVW0mjEfF8skxLNWMCDZd6PPfn0+/vH0D718iAGaHdMG2av5WKOpZfG8
hAEbsu+UuUjz8fbzBx29zwbBdN/7nvomnogjbuKnDzAhXFyhlFTDQzoLBqdu
MuHHp8uv1//kYYWlUlVUEROsVpqfiSrkYeqsmkfZ2sNgx2udNnnBQ+uQ/7R4
s1hw+sHMkjwPHhZ6z9t/oZAN2eYuU91OPEyuGNg8h88G7vSPTuljPIxdQ1WM
X80BX5eYVI+9PPTp96cXPuTAh6UTEXHmPDxpav1zTyUHJivtPcuAh5ZJWjmd
Yly4vFljo4oeDzUcugNnznKhaChy8T5tHsoV5h+794oLYomcyWANHv5dGktR
6eTCzgM2HRnKPBwMOLMqbxEBEbM+F7XI87CpYZeUqSUBPwuWpcxawMOqjWpE
/RUCpM6G3dg0l4df7v1tcPlEgJXagIeTuKg+nOb8MTYBK3Jin6wQ9ZHzh33O
lzoJSF1y3PESk8Ardv4hzFcErAnV1GzuIDBTEP/kyDkCNloXvL8j6sNy44Fq
A3ECdvK7q//eInDJ92Cj0dVc8NJfO6tjOYFvmtIXe/uxwXdWQVrgfALLlvQ/
bxfp66WmXbsXiRPIPLRSy3IOG6IC3O5ZijiwuvnRNs1EFmR+TFLMF3Eirfma
O618GJj6S9c/MufiqxaHfFslJpwykDhs7cPBxLYFDtuKB8BlS3d6aSkLl3zh
myuv6Ia1QYbCsy+HcNss68GeOx8guetg2UWTAZxc5NS1cawJ9fr1phs3D6Bf
t8f6I0ebsWx4oa7umgHsz/C5ElrUjIzJmqcM2QGspYSpVka24NpFVn4HO/vx
/dkXbq7KbfjOfKeazoV+9Kno4sSZd2LZ281htGw6jlB0hCFWvXjok9wnoyQ6
ZmvmrV54pRcZX0dYcbF09JDW3/8yrxfnVOQe3nuJjr0txskV8n24t3/dhsJd
dPx91mrH0t4+bFZY1R3b14cZz7xu5gb04+DVJca7FPrQVZAxn/58EKVC3hKx
Un3YNs/UJLdpENcHWabS/vai5cp23xDpIQw8GyJ1qbcX15hLNS+9NISSxwZa
szN7kRnr+czqEBM1Nn8MWLStF89v0Nb6NI+FFhustRw39CLNtNT+uikLvdcy
O7NUe/GA3bHo/RdZ+EFFeaeZZC+uD7lNDDNYuEPmxqKgGhpOVrA+rixho/uc
leVlxTT07L4+yBawMYpccHHhBxq28JcpFm7gYP0Um5Yp4tYnBavLtokcdGbY
vu1yomGwe7bprSAuRvRyndfa0pBxcae/3VsuZnZGyl8wp6H9nc5X6gwuVreo
VZT+R8PvSf4tPNG9Gqn/GrJAm4abPkjPLToo0odqu43HlWn49sdLw9sivTD8
xevPmE9DjQ5j7yPFBJ4oi3oyIUbDg9zGxFUCAsWvWD6JGOpBqZkHujJ1BO4O
CBGu/N2D0cPTM5BAYIxXnntBXg9qtjj/9nUR+fEjivrsSz1olKvn2TrORdjI
rDsg04NXnOtTU5VE+a9W3srid+N8a0PfZrpID5QPJIU3d+NToxTK3BwOnpAq
OPv5RTd+WezbdRY4eJkeOU9ZrxsnyxcuNXRlY+GjNWZDdl3op30gqjZnGOcc
G3QRM+7C+Z+qf4gHDaOdyutrSqpdmEOxmqVvOowjmepUK1Yn9h/aFRbfzEQt
6gqjvCudaBO2LdBZOIRPhhdvvJTeIdJVLeex/YMYAGLK0tNtOBwqbqgwRkdd
ZtvYhsRmLH55qgH923FnYcfcf3a1SIrhBpriI/TJeCtYKFeKqjlJsp1tbaAr
e/a6Ka0Ek+nqU5egHfi+62T9ckpwhVIaXfFVO/gaZ6g37irB5Tdz8g/7dEBA
Tcq+uMvFKO9U6Nwg2QWjw9qW+lWIN6Q8jw0o0kDyuiDJ3LcAQ4quv+00p8NN
q4BPadIF+O3od43si3SYIz9SOSctH/+OSSYEZ9NBKoM1UdHxGS9rR4UrLeqH
+TXdVtZmnzDoyf2jR7r6QWHZd8FhhfcY4JtIbvRjgJ27enL95Qw8rfn5cGUS
E6LO+0U++JiOz9Xpx5/WM+Hb5dJzNtw0rFGZ7+olMQwasS7b6x1fo8GyUz7z
PIZhBFM76kxTUXLB0lt7NrBgxSaLdSkLE/DZVGBh5Tc23LAcmla9/gTrJlKo
Twk2sB0jfyWPxaH4WHW5lyoHCqN/uie3xOJprmbDvBscyKmKMTUxuo169GbW
HisuBE/V9VBWRKI3TXxkWSgXLDUXhVDEbmBS13oB6y0XKoUa567cDcF/LRES
0XIEeBx9lRFqewG3NL2TcjAjQOL9qv4QpfN4vL57wboLBFAUrbZNU93wUY3U
0r/pBPCexLvy423wa5WBclU7AZfFH343/28rSBskdrqMErA+weXHYgNHqPnv
fHNsMQHdinncefO9IcbIrLb0HgEHN7V+jTDxB+/tihWjxwn41Hb42s3gS6Bj
wilVX0eADJWlXmYfBv92FH87OM2F8+5ezLKHEfDY8nTe+zgupGzVtvqedwvc
rLZl0V250CjNevO9Oho2WS98JbeJC8+O6hu6hMdAlW3BE78aDpBIH4UuRY9h
xnFu2KY5HPhR1Ra16WA61ERbKm9iMcEjqP3HMe0MYDjNldX6yIQ5Gh0S4eRM
mDH4NbPiChN2B3eGNr7Pgg29FjQpOSZUafX4Bix+C3f0LVL7DIfAY4dvTsfw
O9jbba71IIoB3kkXHilnF0Dlhp36fC06GOoUv9v/uBSiX4UknKhrBfHAJZ2u
irWwXOx/JxdxtvT+q87cZlDRpcyKKujAI6vtqQZzW8Ax0UOsQ6MTM01dhVIa
LZAuFfNP+34n7rsYFPL+aAvoD/SO/3bvwjhG0kWJ7y1wJOE6Y+FiEVeK+edf
P22FPdfodKstvWgWGOs8bNEON9ia3xtj+jEuJjG5yKUdtNSNdoT86Meh7DTa
g9B2qD5qXbzqXz9G07+cMPrQDkt/XPgW6DGAjfv77aNXdkBm8s+PCsBAV239
g+snOuCHnedrB/YgXqc17/BN7YJ5xTk3+81Z2F2w50zQ1y6RD3zczgtioWEs
NS60qQt8NK/q/MtkIc8skxk1uxu6bts2LJnPxhNZIfdSvbrhi92fFbtaRLwK
H8nPCO8G/7kD5w/O5eCSE6f63iZ2w5qv1WWORhysWnBA/2tNN8SrpngGveCg
YaBGR+OmHvBjW3zKOMXFOOt4iQ6rHtB5oTf3UzwX+Wtk1/e69QD9wHKHkkou
pndMhnEe94DtZ0KsYwOBEh+9M0dze2CeZ5vtoBOBjnd7G6Z+9UDh8tK00VgC
C0/Z/RP29cDNmuxp4XeRHphUakr+7YHWa3F7pUW8/09GZU2EFA3MKq84DjYR
Ip1pN567lAZOCnHSHakEmh60dp+vS4PRdyXuJUDg1KytBcucaaA8tGxZzAUu
vvYd/f38LA3O6Ov9DDfjom1PTp9qMA1yr1kEBMlxMTdfTXrNQxpQlANqHN9y
0N1L2nFzOQ28bKqvrx9kY2Ntj8Tetb3w8WsYu9KOhblPI/aHjvSCaczAN0mD
IayUixicT+qDxtxBJ6pwEBm3b4Qmy/SBdy1z1qVfg7j8cnh22Zo+uD+fu5fj
MIiRDtfmzHPsg4E7E10N1xl4UjmU+riyD8KiZs8k1fXjghcBunkv6VByXWu7
0ZlePJfiuqDfbgDusdsv91g04QnPBOWbV4egZM/e93TdXLh1IHDrpmcs2Br9
rjK+txMeVK31zs5gwS1XOyeXvV3wbFfP81WfWdBuPD2xrqALcrdZSCjUs+AS
x0SNer8bWrWUav7OZsOJNA/j0ZU0WCNe5Fou8n0v5ggeKNb0Qvm7WfeP7uHA
0kp5irvOANTqFJbUH+EAfB6S2uMyAO3pZ8f3uHPgVGph04b4AeA+b7HffpUD
n4JPeE1JMED+dsYq9c8cOLLudVx0JwPcXPZ+Yatx4d4dfc6720MgsfgR44qI
Q/P32yYImSxYxA2VXTSbAIv8P1stlrNB9aeHwUsRR6+opLbd38eG7ZeNI36K
ODbB4yuovWfDxX76qoWOBNBi7j3eeZkDkUW/96Z6EaAybbDlzhsOxD35HKAf
RMBR5+7mJprIz1vd/n40hoBaPR35U2Zc4H7Qc0spFXGyoeLhLVkC/t1dfmdz
LQHjRr6b6ykESJ+W/Fgu8tWGLxUblfwIUNrB6zzCJMBfutjPReSvtZTbJVjj
BFz195DLbiHg2R+nuO1iPDiszrOaNyHy40N2mTdn84BTaJFTItons2lPUa0M
Dz7aJMtcEuXxroRSr7iYB/7DU2c2is5R8Faf4azEg83XbKqHROekPls7naXC
A3GlrPVJojrVBC5W267DgyhLB0JWxGv22qHzzuY8eJ1e5MOu4sDY0q4bWVY8
cKIsrUtN4MAfifr4MRseaLee23jMgwNSPV+KIxx58G626sgvMgdWx95bmBXE
gyr3635phmxw/mOQN5rJgzENi0Dn9GFoqbzBC5/Phz3JdcGt1wfh4fZEs0Py
fDg5T77h0N5BsMn7kLBKmQ9+AfZrG+QHoTqOvrN8LR/uWdJbf2cwoNzJJH62
OR+a+GP6pTUD8Gnyr0nUZT4cNFXg5Szrhzh1/9h7TD4coJ9wvf6eBoeCnQ0S
SkcgZ3drvEN5A3jPY6lV249BZXtJYeT7T7gyqzxOcngcBvI8vU8ndaPti/yC
Ct44bBq/9TRLugejYjM7706Ow6P/Mio4QT04FnxXbemsCUjp8VtcsIaGFVZ2
b1arTMAB93e+28R6MZA78N3CbgLe+m3YYP6uD39vnDUeVTIBLne10g8vZqC4
5uRS618TIKVbgEG7GfifEtNQrnYCvtRZtMSHMTBF/HfY064JWLTEQ7KTzcCg
hofS2YIJKHn62vXk90HUCNDQ+L1+ElQy1FVPBzIxOH/HwflPJ6GhVDnhUisb
9RxqeY7Jk3Cv91qEUIqDw0KHu7lpk2ArHPQN38ZB+12Bvw58EK03fLfnboqI
x83p8PD3JDTmmf9L9ubiyEX9rv6GSYipyWJqvhD5b+WSS/rtk3CAs6A5q46L
im4dH5sZk1CxpuPNRwMCa+d4HFzNmYRr5pSnhqcJjMwe410YnYQdrq9u4lMC
Kfuv3v05NQkLrkn576wmUDAqs06RJIBJ1/svDIQE5j5O+HVaUgAPTbXf51UR
6GG0+lShtACqNcrL14n8d+s1SsoxRQFQmH84avoEfl7op/BcTwB7fE8Zz/fi
YuCGVgl1NwEcCd/eNtjMxvUNril+XgJ45N7Gdn7JRkYgH8rOC6DNwp/UfZ6N
h4qkgt1CBXBUJnN1ozQbN+/dxk97LADnuCWBVNF7Z9QzpWtdhQDOpLMXxb9h
os9r708GG6YgrCrBancEA7trlj2SNZiCJVdVD9+2ZuDeqQo/hvEUxOmnO1Up
MHCtldbGuN1T8On5x8B9WaJ3JH8ga9xtCvp8apNsavvx8DbH5A/PpmDfEslx
eyU6bm88EK0nNQ2qX/sMWxx6UFp8i/P6gWkw7bnXqZhTh2ZnbB+tjf0LF9Pv
ZNq4lYBCgfI5M40ZKP7JCdJW64UZl7RlC7VngLfSqCvySC/0y2782blxBlQu
RJow7vZCrutOVX+YgSur1KWS//TCrgVeDSn2M7Dt2pGn8k19EHgqfwspZgbe
GpV+E4vsh6YlB0lf/s3AszdPxFs5g1BI7cyOkBBC1SyGu77GECR5uR+1mSeE
Pw6bKh/YD4F38cV3TAUhHJ1XHbv3h4i/Z5JcFTYLQc2DvKpU5Lc3l3F+BngK
IVH17K43B1mgdO5CgMl5UbygL1nzolhAUhJTkwkSwr+aOQtOU1lQdW5x8Msb
QjgWmtqqrsMGl2VGOg1JQljW0Xo6XpIDFuVlbc/ThAB6mtUTxhxYf35fhOcb
IXjf8tOz9ePAdLlTj9hXIdRukf0jK+LzA9/IGN0WIdx6uCM6vIAL01XZ+ZFd
Qqg+5f7djM0F59V1PTS6EGSNbs1IriSg4uq45NZhIRyUzd7y8wABmzoV18fw
hKJ+qva5FS7iscH2Q8wJIfA/8DN2fxb57xjnyyb/hLAvcjF93rCI+wGldVVi
JErAy590PToBwymHBgQSJIpL3avM87kErKgdFGjMIVGUZ66dzw0hwObfRekD
80gU5tqT/xG7Cfhy+PmmjIUkyuFwpXLvAS5ESw9ePbqCRDHbcq/3lBIXqFsv
PrqhSqKIu3qnvx4U8dl9XkaeBony877luYEPHHAo3lA7V5tEMRkm/3O25oBO
YNCKwi0kysbEIIUT4Wyo7pn7RekAibKS7Gxtyx0GcZln1ea2JMrgBpCP/TIM
Bobr+3wPkyipDsu76iKH4flDm7mVx0mUVZ+aPa3Vh+Gc5dPDwZ4kivzpPRG7
jzBhwft1Yx3XSRRyzeZvlBIRvyOsdRI/ieIlzNbWieuH10d5lgUFonhu0ye9
XPthal2Me9NXEsVPlxOXodcPSQ31L2RKSRTh93pxzRo6cFTsFoXWkCgG/MT2
FXPoEPnFYfLEEIkSsWtz1IJLvVDEO12soiRG2T1UXD/4pRPWHgs/9DJEjPIj
wd86YE8tNDPmpsQeEqec+Xjx2pDrd6x2HjBZtJJMaVpnt0KD34u9EmmCR2pk
ysJ9PlGOWn049trjraImmWJ4LmoiwakPFVms5ao6ZEpUXlH1wvo+dPUbmdxg
RKaYGKy+InxHx+nrwpy9h8mUeBD0tPsPoOYrRaVb98iU4zYJyTGCIdy6q6NW
OpZMCff7IPNbl4lWzGc378eRKdSH1RfnnGbieR2V8ceJZIpci7jNlTYmfv2o
Wfs6i0z5eMxL/EzhMNqUb4oo+0GmqLgZu1hcZqObx7ixRSWZsivCrub6BzYG
SX0erawmU26k+Rghm42J+wydGprIlGbmSzmD4xwcaqYY99HJlMCzMmXq27k4
HSQ+6jZIpjy/t1rXMZCLMsvKMpjDZEp5rsmzhDdc1HPctZTPJ1OURwP8F64k
0ExsbrX/OJliu/g+zeowgUdSK8IFAjIlQj/TKvIegZ5m0UaX/4ri2ZXll/4g
8P/+Myn//5/5P1+0k0o=
     "]]}},
  Axes->True,
  AxesOrigin->{0, 0},
  GridLines->{{-2.5, -2., -1.5, -1., -0.5, 0., 0.5, 1., 1.5, 2., 
    2.5}, {-1., -0.5, 0., 0.5, 1.}},
  PlotLabel->FormBox[
    StyleBox["\"Onda triangolare\"", FontFamily -> "Helvetica", 
     RGBColor[0, 0, 1], StripOnInput -> False], TraditionalForm],
  PlotRange->{{-2.4999998979591838`, 2.4999998979591838`}, {-1.1, 1.1}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 CellChangeTimes->{
  3.4501101569995236`*^9, {3.5033993411999345`*^9, 3.5033993649459343`*^9}, {
   3.5033994016569347`*^9, 3.5033994200409346`*^9}, 3.503400346638934*^9, 
   3.503400740961934*^9, 3.503421992842958*^9}]
}, Open  ]],

Cell["mentre le sue prime cinque armoniche sono le funzioni", "Text",
 CellChangeTimes->{{3.4501836628239336`*^9, 3.4501836904827337`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"8", "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Pi]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}], "^", "2"}]}], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"2", " ", "\[Pi]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", "t"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5"}], "}"}], ",", "1", ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4499243901332254`*^9, 3.4499245219220257`*^9}, {
   3.4499246351156254`*^9, 3.4499246541788254`*^9}, {3.4499247126788254`*^9, 
   3.4499247727076254`*^9}, 3.4499248532660255`*^9, 3.449924896384425*^9, {
   3.4500986154522*^9, 3.4500986156862*^9}, {3.4501071073711233`*^9, 
   3.4501071536563234`*^9}, 3.4501072097383237`*^9, {3.5033995386519346`*^9, 
   3.5033995537479343`*^9}, {3.5034003502539344`*^9, 3.5034003504699345`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 5}, 1, 10, 1}}, Typeset`size$$ = {
    730., {17., 22.259999999999998`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$23384$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$23384$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Table[(8/(Pi (2 $CellContext`i + 1))^2) 
        Cos[((2 Pi) (2 $CellContext`i + 1)) $CellContext`t], {$CellContext`i, 
         0, $CellContext`n$$ - 1}], 
      "Specifications" :> {{{$CellContext`n$$, 5}, 1, 10, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{800., {85., 92.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5034075490215344`*^9, 3.503421992920958*^9}]
}, Open  ]],

Cell["\<\
Supposta pari ad 1 l'ampiezza dell'armonica fondamentale cos\[IGrave] come la \
sua frequenza, l'ampiezza delle successive armoniche in funzione della \
frequenza \[EGrave] rappresentata dall'istogramma \
\>", "Text",
 CellChangeTimes->{{3.4501825452243333`*^9, 3.4501825698879337`*^9}, {
  3.450182641070733*^9, 3.4501826795871334`*^9}, {3.450183147493533*^9, 
  3.4501832126235332`*^9}, {3.4501839119403334`*^9, 3.4501839132975335`*^9}, {
  3.5033995684779344`*^9, 3.5033995767729344`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BarChart", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "i"}], "+", "1"}], ")"}], "^", "2"}]}], " ", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], ",", 
   RowBox[{"ChartLabels", "\[Rule]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"2", "i"}], "+", "1"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"BarSpacing", "\[Rule]", "Large"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<frequenza (Hz)\>\"", ",", "\"\<ampiezza\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Ampiezza relativa delle armoniche di onda triangolare\>\"", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}], 
     "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4501827723915334`*^9, 3.4501827953079333`*^9}, {
   3.450182827412733*^9, 3.4501828387071333`*^9}, 3.4501829442567334`*^9, {
   3.450183099835533*^9, 3.4501831071675334`*^9}, {3.4501832156343336`*^9, 
   3.4501832442291336`*^9}, {3.4501837414947333`*^9, 
   3.4501838042067337`*^9}, {3.4501838416467333`*^9, 
   3.4501838575587335`*^9}, {3.5033996096479344`*^9, 3.5033996174089346`*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], PointBox[{{0.33333333333333337`, 0.}}]}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{0.6666666666666666, 0.}, {1.3333333333333335`, 1.}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{39.6704081632653, 
           68.01122448979592}, {-115.56608225762844`, 134.76196937620682`}}],
         StatusArea[#, 1]& ,
         TagBoxNote->"1"],
        StyleBox["1", {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[1, {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{1.6666666666666667`, 0.}, {2.3333333333333335`, 
            0.1111111111111111}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{79.93163265306121, 108.27244897959183`}, {
           105.61440808355846`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 9]]& ,
         TagBoxNote->"1/9"],
        StyleBox[
         FractionBox["1", "9"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 9], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{2.666666666666667, 0.}, {3.333333333333334, 0.04}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{120.19285714285715`, 148.53367346938776`}, {
           123.30884731085341`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 25]]& ,
         TagBoxNote->"1/25"],
        StyleBox[
         FractionBox["1", "25"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 25], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{3.6666666666666674`, 0.}, {4.333333333333334, 
            0.02040816326530612}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{160.45408163265307`, 188.7948979591837}, {
           128.1838458734755, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 49]]& ,
         TagBoxNote->"1/49"],
        StyleBox[
         FractionBox["1", "49"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 49], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{4.666666666666667, 0.}, {5.333333333333334, 
            0.012345679012345678`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{200.71530612244896`, 229.0561224489796}, {
           130.1900181214681, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 81]]& ,
         TagBoxNote->"1/81"],
        StyleBox[
         FractionBox["1", "81"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 81], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{5.666666666666667, 0.}, {6.333333333333334, 
            0.008264462809917356}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{240.9765306122449, 269.3173469387755}, {
           131.2055391974148, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 121]]& ,
         TagBoxNote->"1/121"],
        StyleBox[
         FractionBox["1", "121"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 121], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{6.666666666666667, 0.}, {7.333333333333334, 
            0.005917159763313609}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{281.23775510204075`, 309.5785714285714}, {
           131.78961404109538`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 169]]& ,
         TagBoxNote->"1/169"],
        StyleBox[
         FractionBox["1", "169"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 169], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{7.666666666666667, 0.}, {8.333333333333334, 
            0.0044444444444444444`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{321.4989795918367, 349.8397959183673}, {
           132.1560669245009, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 225]]& ,
         TagBoxNote->"1/225"],
        StyleBox[
         FractionBox["1", "225"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 225], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{8.666666666666668, 0.}, {9.333333333333334, 
            0.0034602076124567475`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{361.76020408163265`, 390.1010204081632}, {
           132.40097265775066`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 289]]& ,
         TagBoxNote->"1/289"],
        StyleBox[
         FractionBox["1", "289"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 289], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{9.666666666666668, 0.}, {10.333333333333334`, 
            0.002770083102493075}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{402.02142857142854`, 430.36224489795916`}, {
           132.57269499494967`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 361]]& ,
         TagBoxNote->"1/361"],
        StyleBox[
         FractionBox["1", "361"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 361], {
          GrayLevel[0]}], 
        "Tooltip"]& ]}}, {}, {}}, {}, {{{{{{{}, {}}, {}}, {{{}, {}}, {}}, \
{{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, \
{}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}}, {}}, {}}, {}}, 
   GraphicsGroupBox[
    {GrayLevel[0], 
     StyleBox[
      GraphicsGroupBox[{
        LineBox[{{{0.6666666666666666, 0.}, 
           Offset[{0, -4}, {0.6666666666666666, 0.}]}, {{10.333333333333334`, 
           0.}, Offset[{0, -4}, {10.333333333333334`, 0.}]}}], InsetBox[
         PaneBox["1"], Offset[{0, -2}, {1., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["3"], Offset[{0, -2}, {2., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["5"], Offset[{0, -2}, {3.0000000000000004`, 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["7"], Offset[{0, -2}, {4.000000000000001, 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["9"], Offset[{0, -2}, {5., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["11"], Offset[{0, -2}, {6., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["13"], Offset[{0, -2}, {7., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["15"], Offset[{0, -2}, {8., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["17"], Offset[{0, -2}, {9., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["19"], Offset[{0, -2}, {10., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]]}],
      Antialiasing->False]}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"frequenza (Hz)\"", TraditionalForm], 
    FormBox["\"ampiezza\"", TraditionalForm]},
  AxesOrigin->{0.33333333333333337`, 0},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  PlotLabel->FormBox[
    StyleBox[
    "\"Ampiezza relativa delle armoniche di onda triangolare\"", FontFamily -> 
     "Helvetica", 
     RGBColor[0, 0, 1], StripOnInput -> False], TraditionalForm],
  PlotRangePadding->Scaled[0.02],
  Ticks->{None, Automatic}]], "Output",
 CellChangeTimes->{3.4501838075919333`*^9, 3.450183858291933*^9, 
  3.503399618862934*^9, 3.5034007414189343`*^9, 3.503421993326558*^9}]
}, Open  ]],

Cell["\<\
che mostra come l'ampiezza decresca rapidamente all'aumentare della \
frequenza. La rappresentazione grafica che si ottiene al variare del numero \
di armoniche secondarie (per un massimo di 10) \[EGrave]\
\>", "Text",
 CellChangeTimes->{{3.4501832684871335`*^9, 3.450183329327133*^9}, {
  3.4501833595287333`*^9, 3.4501833620559335`*^9}, {3.4501834261875334`*^9, 
  3.450183435048333*^9}, {3.450183938475933*^9, 3.4501839458391333`*^9}, {
  3.4501841367363334`*^9, 3.4501841742855334`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"TriangleWave", "[", 
        RowBox[{"t", "+", ".25"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Black"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[GreaterEqual]", "1"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"8", "/", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Pi]", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}], "^", 
                "2"}]}], " ", 
              RowBox[{"Cos", "[", 
               RowBox[{"2", " ", "\[Pi]", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", "i"}], "+", "1"}], ")"}], "t"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", 
               RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"Hue", "[", 
               RowBox[{"1", "-", 
                RowBox[{"i", "/", "20"}]}], "]"}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"n", "-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Plus", "@@", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"8", "/", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[Pi]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}], "^", 
                 "2"}]}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Pi]", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", "t"}], "]"}]}],
               ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", 
                RowBox[{"n", "-", "1"}], ",", "1"}], "}"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"-", "1.1"}], ",", "1.2"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Thick", ",", "Red"}], "}"}]}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Somma di armoniche di onda triangolare \>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}],
        "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "10", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.449924707780425*^9, {3.4499249325764256`*^9, 3.4499252589284253`*^9}, {
   3.4499253234032254`*^9, 3.4499253312188253`*^9}, {3.4499253767084255`*^9, 
   3.4499254193744254`*^9}, {3.449925450605625*^9, 3.4499254525556254`*^9}, {
   3.4499254899956255`*^9, 3.4499255158292255`*^9}, {3.4499257685502253`*^9, 
   3.4499258516670256`*^9}, {3.4499259950778255`*^9, 
   3.4499259979794254`*^9}, {3.449926201403425*^9, 3.449926205256625*^9}, {
   3.4499277361158257`*^9, 3.4499277707478256`*^9}, {3.4499278703070254`*^9, 
   3.4499278705254254`*^9}, {3.4500958929402*^9, 3.4500959201466*^9}, {
   3.4500971805018*^9, 3.4500971845578003`*^9}, {3.4500973232106*^9, 
   3.450097327407*^9}, {3.4500974212098*^9, 3.4500974588058*^9}, {
   3.450097518663*^9, 3.450097609533*^9}, {3.4500976926966*^9, 
   3.4500977777478*^9}, {3.450097828869*^9, 3.4500978300546*^9}, {
   3.4500978644058*^9, 3.4500979346837997`*^9}, {3.4500980437122*^9, 
   3.4500980568473997`*^9}, {3.4500991250573997`*^9, 3.4500991637142*^9}, {
   3.450099270699*^9, 3.4500992813382*^9}, {3.4500993446429996`*^9, 
   3.4500993507581997`*^9}, {3.4500994142813997`*^9, 
   3.4500994144217997`*^9}, {3.4500998041878*^9, 3.4500998106462*^9}, {
   3.4500998843094*^9, 3.4500999071946*^9}, {3.4501008579676*^9, 
   3.4501009624564*^9}, {3.4501010076652*^9, 3.450101073466*^9}, {
   3.4501059596635237`*^9, 3.4501060007695236`*^9}, {3.4501060422967234`*^9, 
   3.4501061094079237`*^9}, {3.4501061529475236`*^9, 
   3.4501061851927233`*^9}, {3.4501062862495236`*^9, 
   3.4501062900403233`*^9}, {3.4501063742335234`*^9, 3.4501063989127235`*^9}, 
   3.4501065074419236`*^9, {3.4501065682819233`*^9, 3.4501065754423237`*^9}, {
   3.4501066649239235`*^9, 3.450106668231124*^9}, {3.4501068902347236`*^9, 
   3.4501068951175237`*^9}, {3.4501069287511234`*^9, 
   3.4501069865179234`*^9}, {3.4501070254399233`*^9, 
   3.4501070359387236`*^9}, {3.450183962858733*^9, 3.4501839633423333`*^9}, {
   3.4501840213275337`*^9, 3.4501840414671335`*^9}, {3.5033998550039344`*^9, 
   3.5033998654199343`*^9}, {3.5033999364159346`*^9, 3.5033999604169345`*^9}, 
   3.5034000568119345`*^9, {3.5034003590179343`*^9, 3.503400376407934*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 10, 1}}, Typeset`size$$ = {
    540., {172., 181.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$23438$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$23438$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         TriangleWave[$CellContext`t + 0.25], {$CellContext`t, -1.5, 1.5}, 
         PlotStyle -> {Thick, Black}], 
        If[$CellContext`n$$ >= 1, {
          Table[
           
           Plot[(8/(Pi (2 $CellContext`i + 1))^2) 
            Cos[((2 Pi) (2 $CellContext`i + 
                1)) $CellContext`t], {$CellContext`t, -1.2, 1.2}, PlotRange -> 
            All, PlotStyle -> Hue[1 - $CellContext`i/20]], {$CellContext`i, 
            0, $CellContext`n$$ - 1, 1}], 
          Plot[
           Apply[Plus, 
            
            Table[(8/(Pi (2 $CellContext`i + 1))^2) 
             Cos[((2 Pi) (2 $CellContext`i + 
                 1)) $CellContext`t], {$CellContext`i, 0, $CellContext`n$$ - 
              1, 1}]], {$CellContext`t, -1.1, 1.2}, 
           PlotStyle -> {Thick, Red}]}, {}], 
        PlotRange -> {{-1, 1}, {-1.2, 1.2}}, PlotLabel -> 
        Style["Somma di armoniche di onda triangolare ", FontFamily -> 
          "Helvetica", Blue]], 
      "Specifications" :> {{$CellContext`n$$, 0, 10, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{610., {242., 249.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.503407581781534*^9, {3.5034219787405577`*^9, 3.503421993388958*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Onda quadra", "Section",
 CellChangeTimes->{{3.4500983473194*^9, 3.450098352483*^9}, {
  3.4500986565582*^9, 3.4500986582118*^9}, {3.4501075138135233`*^9, 
  3.4501075147495236`*^9}}],

Cell[TextData[{
 "L'importante funzione ",
 StyleBox["onda quadra",
  FontSlant->"Italic"],
 " \[EGrave] definita come"
}], "Text",
 CellChangeTimes->{{3.450098433525*^9, 3.450098443275*^9}, {
  3.4501841967963333`*^9, 3.4501842100095334`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"y", 
    RowBox[{"(", "t", ")"}]}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "a"}], "     ", "-", 
     FractionBox["T", "2"]}], "\[LessEqual]", "t", "<", "0"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", 
   RowBox[{"(", "t", ")"}]}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"+", "a"}], "        ", "0"}], "\[LessEqual]", "t", "<", 
   FractionBox["T", "2"]}]}]}], "DisplayFormula",
 CellChangeTimes->{{3.4500984549126*^9, 3.4500984889518003`*^9}, {
  3.4501072454623237`*^9, 3.4501072613431234`*^9}, {3.4501073049919233`*^9, 
  3.4501073363479233`*^9}, {3.450107370231124*^9, 3.450107405877124*^9}, {
  3.4501075860727234`*^9, 3.4501075972111235`*^9}, {3.503385676941334*^9, 
  3.5033856801313343`*^9}}],

Cell[TextData[{
 "e possiede, come le precedenti, periodo ",
 Cell[BoxData[
  FormBox["T", TraditionalForm]]],
 ". Il suo sviluppo di Fourier \[EGrave]"
}], "Text",
 CellChangeTimes->{{3.4500984993882*^9, 3.4500985158462*^9}, {
  3.450184221225933*^9, 3.450184241022333*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"y", 
   RowBox[{"(", "t", ")"}]}], "=", 
  RowBox[{"a", 
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"i", "=", "0"}], "\[Infinity]"], 
    RowBox[{
     FractionBox["4", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", "\[Pi]"}]], "sin", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"2", "\[Pi]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "i"}], "+", "1"}], ")"}]}], "T"], "t"}], 
      ")"}]}]}]}]}]], "DisplayFormula",
 CellChangeTimes->{{3.450098534535*^9, 3.4500986050626*^9}, {
   3.450107423629924*^9, 3.4501074793999233`*^9}, {3.4501076181463237`*^9, 
   3.4501076354311237`*^9}, {3.450111120019724*^9, 3.4501111247933235`*^9}, {
   3.450184244875533*^9, 3.4501842492903337`*^9}, 3.5033857359693336`*^9}],

Cell[TextData[{
 "mentre il suo grafico risulta (",
 Cell[BoxData[
  FormBox[
   RowBox[{"a", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 " e ",
 Cell[BoxData[
  FormBox[
   RowBox[{"T", "=", "1"}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ")"
}], "Text",
 CellChangeTimes->{{3.4501843569615335`*^9, 3.450184364714733*^9}, {
  3.503376587296534*^9, 3.503376598138534*^9}, {3.503385747649334*^9, 
  3.503385770787334*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"SquareWave", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "2.5"}], ",", "2.5"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Thick", ",", "Black"}], "}"}]}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "2.5"}], ",", "2.5", ",", ".5"}], "]"}], ",", 
      "Automatic"}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Onda quadra\>\"", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}], 
     "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4501101734731236`*^9, 3.4501101754699235`*^9}, {
  3.4501843747767334`*^9, 3.4501844162415333`*^9}, {3.503376616686934*^9, 
  3.5033767609869337`*^9}, {3.503382937351934*^9, 3.5033829429679337`*^9}, {
  3.5033832671671343`*^9, 3.503383268929934*^9}, {3.5034003825969343`*^9, 
  3.5034003867719345`*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {GrayLevel[0], Thickness[Large], 
     LineBox[{{-2.4999998979591838`, -1.}, {-2.450928295975766, -1.}, \
{-2.401856693992348, -1.}, {-2.2954582145727067`, -1.}, \
{-2.1961105821492395`, -1.}, {-2.1474111690274293`, -1.}, \
{-2.0987117559056196`, -1.}, {-2.0722982304815134`, -1.}, \
{-2.045884705057407, -1.}, {-2.0326779423453543`, -1.}, {-2.019471179633301, \
-1.}, {-2.0128677982772745`, -1.}, {-2.0062644169212476`, -1.}, \
{-2.004613571582241, -1.}, {-2.0029627262432346`, -1.}, {-2.001594387755102, \
-1.}}], LineBox[{{-1.9984056122448979`, 1.}, {-1.9963593448872077`, 
      1.}, {-1.9930576542091945`, 1.}, {-1.9437560268590688`, 
      1.}, {-1.894454399508943, 1.}, {-1.787595869355886, 
      1.}, {-1.6826861453826767`, 1.}, {-1.6337567068941588`, 
      1.}, {-1.584827268405641, 1.}, {-1.5582987302981808`, 
      1.}, {-1.5317701921907205`, 1.}, {-1.5185059231369904`, 
      1.}, {-1.5052416540832603`, 1.}, {-1.503583620451544, 
      1.}, {-1.5019255868198278`, 1.}, {-1.5015943877551021`, 1.}}], 
     LineBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQ7XfwtGbFz+/7GcDgw/5HYTsu73iD4B/X2bhW+T6C
P+nGosSfhxH8uJYpoudXIPh5n04nvr37Dc6vS2Bexy2M4DPoyu93bv0C59/q
ntm++uonOP/3qQaJAB4EX4YrY+UXp49wvpPf5vuXrn6A8zMn/RPdmIHgFyVP
XJzhi+DXmKgYKhgh+Ixz336vVkHw21i377suhuCf2Cm9iFUAwefKa2g15kTw
N9mZXGtnQ/ABdGmAUg==
      "]], 
     LineBox[{{-0.998405612244898, 1.}, {-0.9855941811033877, 
      1.}, {-0.9722724057079807, 1.}, {-0.9199597072162761, 
      1.}, {-0.8676470087245715, 1.}, {-0.7700724587373362, 
      1.}, {-0.6642426332972954, 1.}, {-0.614853144075362, 
      1.}, {-0.5654636548534285, 1.}, {-0.5387050913792604, 
      1.}, {-0.5119465279050923, 1.}, {-0.5086017074708213, 
      1.}, {-0.5052568870365504, 1.}, {-0.5035844768194149, 
      1.}, {-0.5019120666022794, 1.}, {-0.501594387755102, 1.}}], 
     LineBox[{{-0.49840561224489793`, -1.}, {-0.4918776052994662, -1.}, \
{-0.4851879644309242, -1.}, {-0.47180868269384013`, -1.}, \
{-0.4584294009567561, -1.}, {-0.40588667709834364`, -1.}, \
{-0.3533439532399312, -1.}, {-0.2553093525192802, -1.}, {-0.1490194763458237, \
-1.}, {-0.09939996175718244, -1.}, {-0.04978044716854117, -1.}, \
{-0.025457891419182414`, -1.}, {-0.001594387755102041, -1.}}], 
     LineBox[CompressedData["
1:eJxTTMoPSmViYGAQAWIQ3X7s14UI+Sh7BjD4YK83K/m4iFk8nH9PcuM7bv4c
OD/Y+MaeNscSOJ/3wGvlI1ENcH5hWvbLI1Pa4Pw5kaZWyS0T4XwGhq3/k/dN
h/NT1KKOGkkugvOPn7nZZRy8As7PWVA+VXbNTjjfSvfgpoDph+F8pjLROymS
F+B8dp6AxqR31+B817LJSa88bsH5zQ+uORctvgvnx62u7V+cfQ9hfpnK7SvG
9+H8Fbe/N7ydjuBbsuovf/AUwQcAVvNlhQ==
      "]], 
     LineBox[{{0.501594387755102, -1.}, {0.5028120220702561, -1.}, {
      0.5043393700973007, -1.}, {0.5058667181243452, -1.}, {
      0.5089214141784344, -1.}, {0.5119761102325234, -1.}, {
      0.536413678665236, -1.}, {0.5608512470979488, -1.}, {
      0.613854021689777, -1.}, {0.6668567962816051, -1.}, {
      0.7658114984690874, -1.}, {0.8628173944767222, -1.}, {
      0.9154479802069424, -1.}, {0.9680785659371627, -1.}, {
      0.9803548564951959, -1.}, {0.9926311470532292, -1.}, {
      0.9957002196927376, -1.}, {0.998405612244898, -1.}}], 
     LineBox[CompressedData["
1:eJxTTMoPSmViYGAQBWIQvcnO5Fo72wd7BjD4YL/4RdiqdnYEf9VV730XeBH8
TYccLkmKIPjny0SU7HQR/DdaLwqT3BD8pN9mGz+vQvCvn2790ML/Ec6fplwy
uf8lgh9anWQ26/AnOD+H+7XSuagvcL786mPT2F59hfPPGrJ+7Tr0Dc6v3uEc
zD/7O5wf5V52MnALgm91bYX9lLMI/irZQ1WmtxB8ydTbW689Q/AvcGQEq79F
8DvWfPlQ/hnB9zt4WrPiJ4IPAIPcdTA=
      "]], 
     LineBox[{{1.5015943877551021`, -1.}, {1.5123578028734366`, -1.}, {
      1.524691599773147, -1.}, {1.5493591935725675`, -1.}, {
      1.574026787371988, -1.}, {1.6274896126972318`, -1.}, {
      1.6809524380224756`, -1.}, {1.7859292824931157`, -1.}, {
      1.883855279967582, -1.}, {1.936945916431218, -1.}, {
      1.9900365528948538`, -1.}, {1.9931343787052005`, -1.}, {
      1.9962322045155474`, -1.}, {1.997781117420721, -1.}, {
      1.9984056122448979`, -1.}}], 
     LineBox[{{2.001594387755102, 1.}, {2.002427856136241, 1.}, {
      2.0086235077569348`, 1.}, {2.0148191593776286`, 1.}, {
      2.0272104626190157`, 1.}, {2.039601765860403, 1.}, {2.064384372343177, 
      1.}, {2.0891669788259515`, 1.}, {2.1377577887015766`, 1.}, {
      2.1863485985772018`, 1.}, {2.2917854937812576`, 1.}, {
      2.3901715419891394`, 1.}, {2.445085719974162, 1.}, {2.4999998979591838`,
       1.}}]}, {}}, {{}, {}, {}}},
  Axes->True,
  AxesOrigin->{0, 0},
  GridLines->{{-2.5, -2., -1.5, -1., -0.5, 0., 0.5, 1., 1.5, 2., 2.5}, 
    Automatic},
  PlotLabel->FormBox[
    StyleBox["\"Onda quadra\"", FontFamily -> "Helvetica", 
     RGBColor[0, 0, 1], StripOnInput -> False], TraditionalForm],
  PlotRange->{{-2.5, 2.5}, {-1., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{
  3.450110175969124*^9, {3.450184404447933*^9, 3.450184416740733*^9}, {
   3.503376625204534*^9, 3.503376704171734*^9}, {3.5033767360737343`*^9, 
   3.503376761595334*^9}, 3.503382943997534*^9, 3.503383269678734*^9, 
   3.5034003885679345`*^9, 3.5034007385619345`*^9, 3.5034219974137583`*^9}]
}, Open  ]],

Cell["Le sue prime cinque armoniche sono le funzioni", "Text",
 CellChangeTimes->{{3.4501844585643334`*^9, 3.450184473134733*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"4", "/", 
       RowBox[{"(", 
        RowBox[{"\[Pi]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}]}], 
      RowBox[{"Sin", "[", 
       RowBox[{"2", " ", "\[Pi]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", "t"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "5"}], "}"}], ",", "1", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4499243901332254`*^9, 3.4499245219220257`*^9}, {
   3.4499246351156254`*^9, 3.4499246541788254`*^9}, {3.4499247126788254`*^9, 
   3.4499247727076254`*^9}, 3.4499248532660255`*^9, 3.449924896384425*^9, {
   3.4500986154522*^9, 3.4500986156862*^9}, {3.4501071073711233`*^9, 
   3.4501071536563234`*^9}, 3.4501072097383237`*^9, {3.4501079403331237`*^9, 
   3.4501079456839237`*^9}, {3.503376914334934*^9, 3.503376914880934*^9}, {
   3.5034003924109344`*^9, 3.5034004032589345`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 5}, 1, 20, 1}}, Typeset`size$$ = {
    730., {15.3, 23.259999999999998`}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$23475$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$23475$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Table[(4/(Pi (2 $CellContext`i + 1))) 
        Sin[((2 Pi) (2 $CellContext`i + 1)) $CellContext`t], {$CellContext`i, 
         0, $CellContext`n$$ - 1}], 
      "Specifications" :> {{{$CellContext`n$$, 5}, 1, 20, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{800., {85., 92.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5034075988947344`*^9, 3.5034219974917583`*^9}]
}, Open  ]],

Cell["\<\
e la loro ampiezza in rapporto all'armonica fondamentale decresce \
all'aumentare della frequenza come mostrato dall'istrogramma \
\>", "Text",
 CellChangeTimes->{{3.4501844938047333`*^9, 3.4501845431631336`*^9}, {
  3.4501846190415335`*^9, 3.450184630070733*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"BarChart", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "i"}], "+", "1"}], ")"}]}], " ", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}], ",", 
   RowBox[{"ChartLabels", "\[Rule]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"2", "i"}], "+", "1"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "9"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"BarSpacing", "\[Rule]", "Large"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<frequenza (Hz)\>\"", ",", "\"\<ampiezza\>\""}], "}"}]}], 
   ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Ampiezza relativa delle armoniche di onda quadra\>\"", ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}], 
     "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4501827723915334`*^9, 3.4501827953079333`*^9}, {
   3.450182827412733*^9, 3.4501828387071333`*^9}, 3.4501829442567334`*^9, {
   3.450183099835533*^9, 3.4501831071675334`*^9}, {3.4501832156343336`*^9, 
   3.4501832442291336`*^9}, {3.4501837414947333`*^9, 
   3.4501838042067337`*^9}, {3.4501838416467333`*^9, 
   3.4501838575587335`*^9}, {3.4501845674211335`*^9, 
   3.4501845786063337`*^9}, {3.4501847519379334`*^9, 
   3.4501847540751333`*^9}, {3.503382967849934*^9, 3.503383004884334*^9}, {
   3.503383239757934*^9, 3.503383245826334*^9}, {3.503387536878334*^9, 
   3.503387538861334*^9}}],

Cell[BoxData[
 GraphicsBox[{
   {Opacity[0], PointBox[{{0.33333333333333337`, 0.}}]}, 
   {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
    EdgeForm[Opacity[0.7]], {}, 
    {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
     EdgeForm[Opacity[0.7]], 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{0.6666666666666666, 0.}, {1.3333333333333335`, 1.}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{39.6704081632653, 
           68.01122448979592}, {-115.56608225762844`, 134.76196937620682`}}],
         StatusArea[#, 1]& ,
         TagBoxNote->"1"],
        StyleBox["1", {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[1, {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{1.6666666666666667`, 0.}, {2.3333333333333335`, 
            0.3333333333333333}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{79.93163265306121, 108.27244897959183`}, {
           50.319285498261735`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 3]]& ,
         TagBoxNote->"1/3"],
        StyleBox[
         FractionBox["1", "3"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 3], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{2.666666666666667, 0.}, {3.333333333333334, 0.2}, 
            "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{120.19285714285715`, 148.53367346938776`}, {
           83.49635904943977, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 5]]& ,
         TagBoxNote->"1/5"],
        StyleBox[
         FractionBox["1", "5"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 5], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{3.6666666666666674`, 0.}, {4.333333333333334, 
            0.14285714285714285`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{160.45408163265307`, 188.7948979591837}, {
           97.71510485708751, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 7]]& ,
         TagBoxNote->"1/7"],
        StyleBox[
         FractionBox["1", "7"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 7], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{4.666666666666667, 0.}, {5.333333333333334, 
            0.1111111111111111}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{200.71530612244896`, 229.0561224489796}, {
           105.61440808355846`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 9]]& ,
         TagBoxNote->"1/9"],
        StyleBox[
         FractionBox["1", "9"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 9], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{5.666666666666667, 0.}, {6.333333333333334, 
            0.09090909090909091}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{240.9765306122449, 269.3173469387755}, {
           110.64123740949452`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 11]]& ,
         TagBoxNote->"1/11"],
        StyleBox[
         FractionBox["1", "11"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 11], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{6.666666666666667, 0.}, {7.333333333333334, 
            0.07692307692307693}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{281.23775510204075`, 309.5785714285714}, {
           114.12135001975795`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 13]]& ,
         TagBoxNote->"1/13"],
        StyleBox[
         FractionBox["1", "13"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 13], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{7.666666666666667, 0.}, {8.333333333333334, 
            0.06666666666666667}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{321.4989795918367, 349.8397959183673}, {
           116.6734326006178, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 15]]& ,
         TagBoxNote->"1/15"],
        StyleBox[
         FractionBox["1", "15"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 15], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{8.666666666666668, 0.}, {9.333333333333334, 
            0.058823529411764705`}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{361.76020408163265`, 390.1010204081632}, {
           118.6250251624518, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 17]]& ,
         TagBoxNote->"1/17"],
        StyleBox[
         FractionBox["1", "17"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 17], {
          GrayLevel[0]}], "Tooltip"]& ]}, 
     {RGBColor[0.798413061722744, 0.824719615472648, 0.968322270542458], 
      EdgeForm[Opacity[0.7]], 
      TagBox[
       TooltipBox[
        TagBox[
         DynamicBox[{
           FEPrivate`If[
            CurrentValue["MouseOver"], 
            EdgeForm[{
              GrayLevel[0.5], 
              AbsoluteThickness[1.5], 
              Opacity[0.66]}], {}, {}], 
           
           RectangleBox[{9.666666666666668, 0.}, {10.333333333333334`, 
            0.05263157894736842}, "RoundingRadius" -> 0]},
          
          ImageSizeCache->{{402.02142857142854`, 430.36224489795916`}, {
           120.16575613232075`, 134.76196937620682`}}],
         StatusArea[#, 
          Rational[1, 19]]& ,
         TagBoxNote->"1/19"],
        StyleBox[
         FractionBox["1", "19"], {
          GrayLevel[0]}, StripOnInput -> False]],
       Annotation[#, 
        Style[
         Rational[1, 19], {
          GrayLevel[0]}], 
        "Tooltip"]& ]}}, {}, {}}, {}, {{{{{{{}, {}}, {}}, {{{}, {}}, {}}, \
{{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, \
{}}, {{{}, {}}, {}}, {{{}, {}}, {}}, {{{}, {}}, {}}}, {}}, {}}, {}}, 
   GraphicsGroupBox[
    {GrayLevel[0], 
     StyleBox[
      GraphicsGroupBox[{
        LineBox[{{{0.6666666666666666, 0.}, 
           Offset[{0, -4}, {0.6666666666666666, 0.}]}, {{10.333333333333334`, 
           0.}, Offset[{0, -4}, {10.333333333333334`, 0.}]}}], InsetBox[
         PaneBox["1"], Offset[{0, -2}, {1., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["3"], Offset[{0, -2}, {2., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["5"], Offset[{0, -2}, {3.0000000000000004`, 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["7"], Offset[{0, -2}, {4.000000000000001, 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["9"], Offset[{0, -2}, {5., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["11"], Offset[{0, -2}, {6., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["13"], Offset[{0, -2}, {7., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["15"], Offset[{0, -2}, {8., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["17"], Offset[{0, -2}, {9., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]], InsetBox[
         PaneBox["19"], Offset[{0, -2}, {10., 0.}], 
         ImageScaled[{Rational[1, 2], 1}]]}],
      Antialiasing->False]}]},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox["\"frequenza (Hz)\"", TraditionalForm], 
    FormBox["\"ampiezza\"", TraditionalForm]},
  AxesOrigin->{0.33333333333333337`, 0},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  PlotLabel->FormBox[
    StyleBox[
    "\"Ampiezza relativa delle armoniche di onda quadra\"", FontFamily -> 
     "Helvetica", 
     RGBColor[0, 0, 1], StripOnInput -> False], TraditionalForm],
  PlotRangePadding->Scaled[0.02],
  Ticks->{None, Automatic}]], "Output",
 CellChangeTimes->{
  3.450184589261133*^9, 3.4501847556975336`*^9, {3.5033829733099337`*^9, 
   3.503383005461534*^9}, 3.5033832468247337`*^9, 3.503387539794334*^9, 
   3.5034007390229344`*^9, 3.5034219978817577`*^9}]
}, Open  ]],

Cell["\<\
Infine, la somma delle armoniche fino ad un ordine massimo di 20 fornisce la \
rappresentazione grafica seguente \
\>", "Text",
 CellChangeTimes->{{3.4501848943191333`*^9, 3.4501849783563337`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"SquareWave", "[", "t", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thick", ",", "Black"}], "}"}]}], ",", 
       RowBox[{"Exclusions", "\[Rule]", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1", ",", "0.5"}], "]"}]}]}], "]"}], ",", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[GreaterEqual]", "1"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"4", "/", 
               RowBox[{"(", 
                RowBox[{"\[Pi]", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}]}], 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Pi]", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", "t"}], "]"}]}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", 
               RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"Hue", "[", 
               RowBox[{"1", "-", 
                RowBox[{"i", "/", "20"}]}], "]"}]}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"n", "-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Plus", "@@", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"4", "/", 
                RowBox[{"(", 
                 RowBox[{"\[Pi]", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"2", "i"}], "+", "1"}], ")"}]}], ")"}]}], 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Pi]", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"2", "i"}], "+", "1"}], ")"}], " ", "t"}], "]"}]}],
               ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", 
                RowBox[{"n", "-", "1"}], ",", "1"}], "}"}]}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Thick", ",", "Red"}], "}"}]}]}], "]"}]}], "}"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\<Somma di armoniche di onda quadra \>\"", ",", 
        RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", "Blue"}],
        "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "20", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.449924707780425*^9, {3.4499249325764256`*^9, 3.4499252589284253`*^9}, {
   3.4499253234032254`*^9, 3.4499253312188253`*^9}, {3.4499253767084255`*^9, 
   3.4499254193744254`*^9}, {3.449925450605625*^9, 3.4499254525556254`*^9}, {
   3.4499254899956255`*^9, 3.4499255158292255`*^9}, {3.4499257685502253`*^9, 
   3.4499258516670256`*^9}, {3.4499259950778255`*^9, 
   3.4499259979794254`*^9}, {3.449926201403425*^9, 3.449926205256625*^9}, {
   3.4499277361158257`*^9, 3.4499277707478256`*^9}, {3.4499278703070254`*^9, 
   3.4499278705254254`*^9}, {3.4500958929402*^9, 3.4500959201466*^9}, {
   3.4500971805018*^9, 3.4500971845578003`*^9}, {3.4500973232106*^9, 
   3.450097327407*^9}, {3.4500974212098*^9, 3.4500974588058*^9}, {
   3.450097518663*^9, 3.450097609533*^9}, {3.4500976926966*^9, 
   3.4500977777478*^9}, {3.450097828869*^9, 3.4500978300546*^9}, {
   3.4500978644058*^9, 3.4500979346837997`*^9}, {3.4500980437122*^9, 
   3.4500980568473997`*^9}, {3.4500991250573997`*^9, 3.4500991637142*^9}, {
   3.450099270699*^9, 3.4500992813382*^9}, {3.4500993446429996`*^9, 
   3.4500993507581997`*^9}, {3.4500994142813997`*^9, 
   3.4500994144217997`*^9}, {3.4500998041878*^9, 3.4500998106462*^9}, {
   3.4500998843094*^9, 3.4500999071946*^9}, {3.4501008579676*^9, 
   3.4501009624564*^9}, {3.4501010076652*^9, 3.450101073466*^9}, {
   3.4501059596635237`*^9, 3.4501060007695236`*^9}, {3.4501060422967234`*^9, 
   3.4501061094079237`*^9}, {3.4501061529475236`*^9, 
   3.4501061851927233`*^9}, {3.4501062862495236`*^9, 
   3.4501062900403233`*^9}, {3.4501063742335234`*^9, 3.4501063989127235`*^9}, 
   3.4501065074419236`*^9, {3.4501065682819233`*^9, 3.4501065754423237`*^9}, {
   3.4501066649239235`*^9, 3.450106668231124*^9}, {3.4501068902347236`*^9, 
   3.4501068951175237`*^9}, {3.4501069287511234`*^9, 
   3.4501069865179234`*^9}, {3.4501070254399233`*^9, 
   3.4501070359387236`*^9}, {3.4501076465227237`*^9, 
   3.4501076763499236`*^9}, {3.4501077464095235`*^9, 
   3.4501077873439236`*^9}, {3.4501078268899236`*^9, 3.4501078290427237`*^9}, 
   3.450107859103924*^9, {3.4501080877375236`*^9, 3.4501080894847236`*^9}, {
   3.4501849876071334`*^9, 3.4501849926615334`*^9}, {3.4501853911323338`*^9, 
   3.4501854036123333`*^9}, {3.503377209112534*^9, 3.503377225445734*^9}, {
   3.503378122445734*^9, 3.503378148638134*^9}, {3.503378184580534*^9, 
   3.503378185859734*^9}, {3.5033782222233343`*^9, 3.503378222753734*^9}, {
   3.503378262221734*^9, 3.503378263376134*^9}, {3.503378449078534*^9, 
   3.5033785203237343`*^9}, {3.5033785569691343`*^9, 3.503378557608734*^9}, {
   3.503380271937334*^9, 3.5033802732945337`*^9}, {3.503380316724934*^9, 
   3.5033803603581343`*^9}, {3.503380519259734*^9, 3.503380550943334*^9}, {
   3.5033806512825336`*^9, 3.503380658442934*^9}, {3.503380702138534*^9, 
   3.503380743743734*^9}, {3.503383140760334*^9, 3.5033832110227337`*^9}, {
   3.503400413638934*^9, 3.5034004287419343`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 5, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 20, 1}}, Typeset`size$$ = {
    540., {173., 183.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$23529$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$23529$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Plot[
         SquareWave[$CellContext`t], {$CellContext`t, -1.5, 1.5}, 
         PlotStyle -> {Thick, Black}, Exclusions -> Range[-1, 1, 0.5]], 
        If[$CellContext`n$$ >= 1, {
          Table[
           
           Plot[(4/(Pi (2 $CellContext`i + 1))) 
            Sin[((2 Pi) (2 $CellContext`i + 
                1)) $CellContext`t], {$CellContext`t, -1.1, 1.1}, PlotRange -> 
            All, PlotStyle -> Hue[1 - $CellContext`i/20]], {$CellContext`i, 
            0, $CellContext`n$$ - 1, 1}], 
          Plot[
           Apply[Plus, 
            
            Table[(4/(Pi (2 $CellContext`i + 1))) 
             Sin[((2 Pi) (2 $CellContext`i + 
                 1)) $CellContext`t], {$CellContext`i, 0, $CellContext`n$$ - 
              1, 1}]], {$CellContext`t, -1.1, 1.1}, 
           PlotStyle -> {Thick, Red}]}, {}], 
        PlotRange -> {{-1, 1}, {-1.5, 1.5}}, PlotLabel -> 
        Style["Somma di armoniche di onda quadra ", FontFamily -> "Helvetica",
           Blue]], 
      "Specifications" :> {{$CellContext`n$$, 0, 20, 1, Appearance -> 
         "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{610., {243., 250.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.5034076289871345`*^9, 3.503421997944158*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1264, 903},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
CellLabelAutoDelete->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (November 7, 2010)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 279, 3, 98, "Title"],
Cell[849, 27, 254, 8, 38, "Text"],
Cell[1106, 37, 612, 16, 94, "Text"],
Cell[CellGroupData[{
Cell[1743, 57, 100, 1, 113, "Section"],
Cell[1846, 60, 195, 4, 42, "Text"],
Cell[2044, 66, 584, 16, 51, "DisplayFormula"],
Cell[2631, 84, 340, 8, 43, "Text"],
Cell[2974, 94, 800, 23, 67, "DisplayFormula"],
Cell[3777, 119, 423, 14, 42, "Text"],
Cell[CellGroupData[{
Cell[4225, 137, 1417, 36, 140, "Input"],
Cell[5645, 175, 6388, 112, 236, "Output"]
}, Open  ]],
Cell[12048, 290, 123, 1, 42, "Text"],
Cell[CellGroupData[{
Cell[12196, 295, 1111, 28, 86, "Input"],
Cell[13310, 325, 1711, 35, 216, "Output"]
}, Open  ]],
Cell[15036, 363, 462, 7, 68, "Text"],
Cell[CellGroupData[{
Cell[15523, 374, 1588, 40, 140, "Input"],
Cell[17114, 416, 12192, 338, 340, "Output"]
}, Open  ]],
Cell[29321, 757, 435, 7, 68, "Text"],
Cell[CellGroupData[{
Cell[29781, 768, 4835, 113, 302, "Input"],
Cell[34619, 883, 2473, 51, 532, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[37141, 940, 141, 2, 113, "Section"],
Cell[37285, 944, 196, 4, 42, "Text"],
Cell[37484, 950, 1100, 34, 98, "DisplayFormula"],
Cell[38587, 986, 266, 7, 43, "Text"],
Cell[38856, 995, 873, 27, 66, "DisplayFormula"],
Cell[39732, 1024, 514, 17, 42, "Text"],
Cell[CellGroupData[{
Cell[40271, 1045, 1270, 35, 140, "Input"],
Cell[41544, 1082, 10447, 177, 287, "Output"]
}, Open  ]],
Cell[52006, 1262, 139, 1, 42, "Text"],
Cell[CellGroupData[{
Cell[52170, 1267, 1284, 32, 86, "Input"],
Cell[53457, 1301, 1708, 35, 216, "Output"]
}, Open  ]],
Cell[55180, 1339, 502, 8, 68, "Text"],
Cell[CellGroupData[{
Cell[55707, 1351, 1413, 35, 140, "Input"],
Cell[57123, 1388, 12009, 330, 361, "Output"]
}, Open  ]],
Cell[69147, 1721, 501, 8, 68, "Text"],
Cell[CellGroupData[{
Cell[69673, 1733, 5767, 128, 248, "Input"],
Cell[75443, 1863, 2532, 54, 530, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[78024, 1923, 189, 3, 113, "Section"],
Cell[78216, 1928, 244, 7, 43, "Text"],
Cell[78463, 1937, 780, 21, 96, "DisplayFormula"],
Cell[79246, 1960, 275, 7, 43, "Text"],
Cell[79524, 1969, 875, 25, 66, "DisplayFormula"],
Cell[80402, 1996, 456, 15, 42, "Text"],
Cell[CellGroupData[{
Cell[80883, 2015, 1113, 27, 113, "Input"],
Cell[81999, 2044, 5113, 93, 283, "Output"]
}, Open  ]],
Cell[87127, 2140, 130, 1, 42, "Text"],
Cell[CellGroupData[{
Cell[87282, 2145, 1296, 32, 86, "Input"],
Cell[88581, 2179, 1709, 35, 216, "Output"]
}, Open  ]],
Cell[90305, 2217, 274, 5, 42, "Text"],
Cell[CellGroupData[{
Cell[90604, 2226, 1576, 37, 140, "Input"],
Cell[92183, 2265, 12044, 332, 361, "Output"]
}, Open  ]],
Cell[104242, 2600, 207, 4, 42, "Text"],
Cell[CellGroupData[{
Cell[104474, 2608, 6536, 139, 302, "Input"],
Cell[111013, 2749, 2520, 53, 532, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
